﻿* Encoding: UTF-8.

*************************************************************************************************************************************************************************************************************
*                                                        SINTAXIS PARA EL CÁLCULO DE LOS ESTADÍSTICOS, TABULADOS E INDICADORES                        *
*                                                             MÓDULO MÉTODOS DE PRODUCCIÓN Y MEDIO AMBIENTE DE LA ENCUESTA                             *
*                                                                  DE SUPERFICIE Y PRODUCCIÓN AGROPECUARIA CONTINUA - ESPAC .                                  *
*                                                                                   REALIZADA POR: RAMIRO BENAVIDES - DEAGA.                                                    *
****************************************************************************************************************************************************************************************************************

*****IMPORTANTE****
*El módulo al ser parte de una encuesta utiliza varias bases de datos de la encuesta principal ESPAC, para la construcción de sus tabulados así paras  las tablas de la 1 a la 24
*las bases referentes a cultivos permanentes, transitorios, flores permanentes, flores transitorias y pastos cultivados se encuentran cargadas en el siguiente link.
*https://www.ecuadorencifras.gob.ec/estadisticas-agropecuarias-2/.
*La base de datos de información del capítulo 13 Ambiente y tecnificación se las descarga del siguiente link:
 https://www.ecuadorencifras.gob.ec/informacion-agroambiental/.

**********************************************************************************************************************************************************************************************************

***MÓDULO MÉTODOS DE PRODUCCIÓN Y MEDIO AMBIENTE***
**Sección2. Utilización de recursos naturales***
**Indicador 

* TÍTULO DE LA SINTAXIS DE INDICADOR:							   
* INDICADOR 1. PROPORCIÓN DE LA SUPERFICIE SEMBRADA DE CULTIVOS TRANSITORIOS POR MÉTODO DE LABRANZA .*  				   
* OPERACIÓN ESTADÍSTICA:													   
* Encuesta de Superficie y Producción Agropecuaria Continua ESPAC_2023			   
* UNIDAD TÉCNICA RESPONSABLE: 												   
* Unidad de Estadísticas Ambientales					   
* ENTIDAD EJECUTORA:														   
* Instituto Nacional de Estadística y Censos (INEC)							   
*===========================================================================================================================*.
* Fecha de elaboración:          Abril - 2024						   
* Fecha última modificación:   Abril - 2024
		
*Indicaciones.

*1- Descargue la Bases de datos de uso del suelo "ctnac2023.sav" de la página web: http://www.ecuadorencifras.gob.ec//estadisticas-agropecuarias-2/#

*2- Guarde la base y copie el directorio en:.
get file = 'C:\....\ctnac2023.sav'.

*===========================================================================================================================*.
*                                                                                                 CONSTRUCCIÓN DEL INDICADOR                                  *
*==========================================================================================================================*.

*** ABRIR BASE DE CULTIVOS TRANSITORIOS (ctnac2023.sav) ***.

DATASET NAME Cultiv_Trans.
DATASET ACTIVATE Cultiv_Trans.

WEIGHT OFF.
FILTER OFF.
COMPUTE cultiv_tran = (rc_clacul >= 500 & rc_clacul <= 599). /* Los cultivos transitorios están en este rango de productos. 
FREQUENCIES cultiv_tran.

RECODE ct_presueuti (1 THRU 4 = 1) (5,6 = 2) (7 = 3) INTO Metodo_Labranza.
VARIABLE LABELS Metodo_Labranza "Métodos de labranza utilizados en cultivos transitorios".
VALUE LABELS Metodo_Labranza
1 "Labranza convencional"
2 "Labranza reducida"
3 "Cero labranza".

***INDICADOR 1. PROPORCIÓN DE LA SUPERFICIE SEMBRADA DE CULTIVOS TRANSITORIOS POR MÉTODO DE LABRANZA**

USE ALL.
FILTER BY cultiv_tran.
WEIGHT BY fact_exp_fin.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=ual_prov ct_k510ha Metodo_Labranza DISPLAY=LABEL
  /TABLE ual_prov [C] > ct_k510ha [S][SUM] BY Metodo_Labranza [C]
  /CATEGORIES VARIABLES=ual_prov ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES=Metodo_Labranza ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='INDICADOR 1. PROPORCIÓN DE LA SUPERFICIE SEMBRADA DE CULTIVOS TRANSITORIOS POR MÉTODO DE LABRANZA'
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.



