﻿* Encoding: UTF-8.

*************************************************************************************************************************************************************************************************************
*                                                        SINTAXIS PARA EL CÁLCULO DE LOS ESTADÍSTICOS, TABULADOS E INDICADORES                        *
*                                                             MÓDULO MÉTODOS DE PRODUCCIÓN Y MEDIO AMBIENTE DE LA ENCUESTA                             *
*                                                                  DE SUPERFICIE Y PRODUCCIÓN AGROPECUARIA CONTINUA - ESPAC .                                  *
*                                                                                   REALIZADA POR: RAMIRO BENAVIDES - DEAGA.                                                    *
****************************************************************************************************************************************************************************************************************

*****IMPORTANTE****
*El módulo al ser parte de una encuesta utiliza varias bases de datos de la encuesta principal ESPAC, para la construcción de sus tabulados así paras  las tablas de la 1 a la 24
*las bases referentes a cultivos permanentes, transitorios, flores permanentes, flores transitorias y pastos cultivados se encuentran cargadas en el siguiente link.
*https://www.ecuadorencifras.gob.ec/estadisticas-agropecuarias-2/.
*La base de datos de información del capítulo 13 Ambiente y tecnificación se las descarga del siguiente link:
 https://www.ecuadorencifras.gob.ec/informacion-agroambiental/.
* El indicador está compuesto por la unión de cinco tablas ya que se forma de la información de cultivos bajo riego de cultivos permanentes, transitorios, pastos*
* flores permanentes y transitorias. *

**********************************************************************************************************************************************************************************************************

***MÓDULO MÉTODOS DE PRODUCCIÓN Y MEDIO AMBIENTE***
**Sección2. Utilización de recursos naturales***

* TÍTULO DE LA SINTAXIS DE INDICADOR:							   
* INDICADOR 10. SUPERFICIE CULTIVADA POR TIPO DE USO DE LA TIERRA Y SEGÚN TIPO DE SEMILLA UTILIZADA.*  				   
* OPERACIÓN ESTADÍSTICA:													   
* Encuesta de Superficie y Producción Agropecuaria Continua ESPAC_2023			   
* UNIDAD TÉCNICA RESPONSABLE: 												   
* Unidad de Estadísticas Ambientales					   
* ENTIDAD EJECUTORA:														   
* Instituto Nacional de Estadística y Censos (INEC)							   
*===========================================================================================================================*.
* Fecha de elaboración:          Abril - 2024						   
* Fecha última modificación:   Abril - 2024
		
*Indicaciones.

* Las bases de datos de cultivos permanentes y transitorios, flores permanentes y transitorias se encuentran en la página web:
 http://www.ecuadorencifras.gob.ec/informacion-agroambiental/

*==============================================================
* 1. CONSTRUCCIÓN DEL INDICADOR: CASO DE CULTIVOS PERMANENTES
*==============================================================

*** ABRIR BASE DE CULTIVOS PERMANENTES (cpnac2023.sav) ***.

DATASET NAME Cultiv_Perm.
DATASET ACTIVATE Cultiv_Perm.

WEIGHT OFF.
FILTER OFF.
COMPUTE cultiv_perm = (rc_clacul >= 400 & rc_clacul <= 499). /* Los cultivos permanentes están en este rango de productos. 
FREQUENCIES cultiv_perm.

FILTER BY cultiv_perm.
WEIGHT BY fact_exp_fin.

* Reporte del indicador.
CTABLES
  /VLABELS VARIABLES=cp_k408 cp_k409ha DISPLAY=LABEL
  /TABLE BY cp_k408 > cp_k409ha [SUM]
  /CATEGORIES VARIABLES=cp_k408 ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CRITERIA CILEVEL=95
  /TITLES
    TITLE='INDICADOR 10a. SUPERFICIE DE CULTIVOS PERMANENTES, SEGÚN TIPO DE SEMILLA UTILIZADA EN CULTIVOS (ha)'
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.

**Nota: No se usa semilla certificada en cultivos permanentes**
*===========================================================
* 2. CONSTRUCCIÓN DEL INDICADOR: CASO DE CULTIVOS TRANSITORIOS
*===========================================================

*** ABRIR BASE DE CULTIVOS TRANSITORIOS (ctnac2023.sav) ***.

DATASET NAME Cultiv_Tran.
DATASET ACTIVATE Cultiv_Tran.

WEIGHT OFF.
FILTER OFF.
COMPUTE cultiv_tran = (rc_clacul >= 500 & rc_clacul <= 599). /* Los cultivos permanentes están en este rango de productos. 
FREQUENCIES cultiv_tran.

FILTER BY cultiv_tran.
WEIGHT BY fact_exp_fin.

* Reporte del indicador.
CTABLES
  /VLABELS VARIABLES=ct_k506 ct_k510ha DISPLAY=LABEL
  /TABLE BY ct_k506 > ct_k510ha [SUM]
  /CATEGORIES VARIABLES=ct_k506 ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CRITERIA CILEVEL=95
  /TITLES
    TITLE='INDICADOR 10b. SUPERFICIE DE CULTIVOS TRANSITORIOS, SEGÚN TIPO DE SEMILLA UTILIZADA EN CULTIVOS (ha)'
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.


*=======================================================
* 3. CONSTRUCCIÓN DEL INDICADOR: CASO DE PASTOS CULTIVADOS
*=======================================================

*** ABRIR BASE DE PASTOS CULTIVADOS (pcnac2023.sav) ***.

DATASET NAME Pastos_Cultiv.
DATASET ACTIVATE Pastos_Cultiv.

WEIGHT OFF.
FILTER OFF.
COMPUTE pastos_cultiv = (rc_clacul >= 751 & rc_clacul <= 771) | (rc_clacul = 780). /* Los pastos cultivados están en este rango de productos. 
FREQUENCIES pastos_cultiv.

FILTER BY pastos_cultiv.
WEIGHT BY fact_exp_fin.

* Reporte del indicador.
CTABLES
  /VLABELS VARIABLES=cp_k408 cp_k409ha DISPLAY=LABEL
  /TABLE BY cp_k408 > cp_k409ha [SUM]
  /CATEGORIES VARIABLES=cp_k408 ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CRITERIA CILEVEL=95
  /TITLES
    TITLE='INDICADOR 10c. SUPERFICIE DE PASTOS CULTIVADOS, SEGÚN TIPO DE SEMILLA UTILIZADA EN CULTIVOS (ha)'
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.

**Nota: No se usa semilla certificada en pastos cultivados**
