﻿* Encoding: UTF-8.

*************************************************************************************************************************************************************************************************************
*                                                        SINTAXIS PARA EL CÁLCULO DE LOS ESTADÍSTICOS, TABULADOS E INDICADORES                        *
*                                                             MÓDULO MÉTODOS DE PRODUCCIÓN Y MEDIO AMBIENTE DE LA ENCUESTA                             *
*                                                                  DE SUPERFICIE Y PRODUCCIÓN AGROPECUARIA CONTINUA - ESPAC .                                  *
*                                                                                   REALIZADA POR: RAMIRO BENAVIDES - DEAGA.                                                    *
****************************************************************************************************************************************************************************************************************

*****IMPORTANTE****
*El módulo al ser parte de una encuesta utiliza varias bases de datos de la encuesta principal ESPAC, para la construcción de sus tabulados así paras  las tablas de la 1 a la 24
*las bases referentes a cultivos permanentes, transitorios, flores permanentes, flores transitorias y pastos cultivados se encuentran cargadas en el siguiente link.
*https://www.ecuadorencifras.gob.ec/estadisticas-agropecuarias-2/.
*La base de datos de información del capítulo 13 Ambiente y tecnificación se las descarga del siguiente link:
 https://www.ecuadorencifras.gob.ec/informacion-agroambiental/.

**********************************************************************************************************************************************************************************************************

***MÓDULO MÉTODOS DE PRODUCCIÓN Y MEDIO AMBIENTE***
**Capítulo 7. Ganado vacuno en los terrenos***

* TÍTULO DE LA SINTAXIS DE INDICADOR:							   
* INDICADOR 11. PROPORCIÓN DE UNIDADES DE PRODUCCIÓN AGROPECUARIA SEGÚN LA PRINCIPAL FORMA DE REPRODUCCIÓN DE GANADO VACUNO.*  				   
* OPERACIÓN ESTADÍSTICA:								   
* Encuesta de Superficie y Producción Agropecuaria Continua ESPAC_2023
* UNIDAD TÉCNICA RESPONSABLE: 												   
* Unidad de Estadísticas Ambientales					   
* ENTIDAD EJECUTORA:													   
* Instituto Nacional de Estadística y Censos (INEC)							   
*===========================================================================================================================*.
* Fecha de elaboración:          Abril - 2024						   
* Fecha última modificación:   Abril - 2024
		
*Indicaciones.

*1- Descargue la Bases de datos de uso del suelo "glnac2023.sav" de la página web: http://www.ecuadorencifras.gob.ec//estadisticas-agropecuarias-2/#

*====================================*.
*         CONSTRUCCIÓN DEL INDICADOR
*====================================*.

*** ABRIR BASE DE GANADO VACUNO (glnac2023.sav) ***.

DATASET NAME Ganado.
DATASET ACTIVATE Ganado.

VALUE LABELS gl_formas_repro
1 "Monta libre"
2 "Monta controlada"
3 "Inseminación artificial"
4 "Transferencia de embriones"
5 "Madre adquirida preñada".

*** INDICADOR 11. PROPORCIÓN DE UNIDADES DE PRODUCCIÓN AGROPECUARIA SEGÚN LA PRINCIPAL FORMA DE REPRODUCCIÓN DEL GANADO VACUNO.

USE ALL.
FILTER OFF.
WEIGHT BY fact_exp_fin.

* Reporte del indicador.
CTABLES
  /VLABELS VARIABLES=gl_formas_repro DISPLAY=LABEL
  /TABLE gl_formas_repro [C][COUNT F40.0, COLPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=gl_formas_repro ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CRITERIA CILEVEL=95
  /TITLES
    TITLE='INDICADOR 11. PROPORCIÓN DE UNIDADES DE PRODUCCIÓN AGROPECUARIA SEGÚN LA PRINCIPAL FORMA DE REPRODUCCIÓN DE GANADO VACUNO'
    CAPTION='Elaboración: DEAGA-INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.

*===========================================================================================================================*.


