﻿* Encoding: UTF-8.

*************************************************************************************************************************************************************************************************************
*                                                        SINTAXIS PARA EL CÁLCULO DE LOS ESTADÍSTICOS, TABULADOS E INDICADORES                        *
*                                                             MÓDULO MÉTODOS DE PRODUCCIÓN Y MEDIO AMBIENTE DE LA ENCUESTA                             *
*                                                                  DE SUPERFICIE Y PRODUCCIÓN AGROPECUARIA CONTINUA - ESPAC .                                  *
*                                                                                   REALIZADA POR: RAMIRO BENAVIDES - DEAGA.                                                    *
****************************************************************************************************************************************************************************************************************

*****IMPORTANTE****
*El módulo al ser parte de una encuesta utiliza varias bases de datos de la encuesta principal ESPAC, para la construcción de sus tabulados así paras  las tablas de la 1 a la 24
*las bases referentes a cultivos permanentes, transitorios, flores permanentes, flores transitorias y pastos cultivados se encuentran cargadas en el siguiente link.
*https://www.ecuadorencifras.gob.ec/estadisticas-agropecuarias-2/.
*La base de datos de información del capítulo 13 Ambiente y tecnificación se las descarga del siguiente link:
 https://www.ecuadorencifras.gob.ec/informacion-agroambiental/.

**********************************************************************************************************************************************************************************************************

***MÓDULO MÉTODOS DE PRODUCCIÓN Y MEDIO AMBIENTE***
**Capítulo 7. Ganado vacuno en los terrenos***

* TÍTULO DE LA SINTAXIS DE INDICADOR:							   
* INDICADOR 13. COMPOSICIÓN DE LA ALIMENTACIÓN DEL GANADO VACUNO.*  				   
* OPERACIÓN ESTADÍSTICA:								   
* Encuesta de Superficie y Producción Agropecuaria Continua ESPAC_2023
* UNIDAD TÉCNICA RESPONSABLE: 												   
* Unidad de Estadísticas Ambientales					   
* ENTIDAD EJECUTORA:													   
* Instituto Nacional de Estadística y Censos (INEC)							   
*===========================================================================================================================*.
* Fecha de elaboración:          Abril - 2024						   
* Fecha última modificación:   Abril - 2024
		
*Indicaciones.

*1- Descargue la Bases de datos de uso del suelo "glnac2023.sav" de la página web: http://www.ecuadorencifras.gob.ec//estadisticas-agropecuarias-2/#

*2- Guarde la base y copie el directorio en:.
get file = 'C:\....\glnac2023.sav'.

*===========================================================================================================================*.
*                                                                                                 CONSTRUCCIÓN DEL INDICADOR                                 *
*===========================================================================================================================*.

*** ABRIR BASE DE GANADO VACUNO (glnac2023.sav) ***.

********************************************************************************************************************************
* 6. IMPUTACIÓN ESPECIAL DE LAS VARIABLES DE COMPOSICIÓN DE ALIMENTACIÓN DEL GANADO
* BOVINO
********************************************************************************************************************************
* ABRIR BDD DE GANADO BOVINO (glnac2023.sav).
* 6.A. IMPUTAR LOS MISSING A CEROS, Y LUEGO ALGUNOS CEROS A MISSING.

IF (Missing(gl_porc_pasto)) gl_porc_pasto = 0.
IF (Missing(gl_porc_sobrealimento)) gl_porc_sobrealimento = 0.
EXECUTE.

DO IF (gl_porc_pasto = 0 & gl_porc_sobrealimento = 0).
    COMPUTE gl_porc_pasto = $SYSMIS.
    COMPUTE gl_porc_sobrealimento = $SYSMIS.
END IF.
EXECUTE.

* 6.B. ORDENAR LA BDD SEGÚN EL IDENTIFICADOR DE TIPO DE FLOR.

SORT CASES BY Identificador (A).
DATASET NAME Ganado.
DATASET ACTIVATE Ganado.

***INDICADOR 13. COMPOSICIÓN DE LA ALIMENTACIÓN DEL GANADO VACUNO.

USE ALL.
FILTER OFF.

WEIGHT BY fact_exp_fin.

* Reporte del indicador.
CTABLES
  /VLABELS VARIABLES=gl_porc_pasto gl_porc_sobrealimento DISPLAY=LABEL
  /TABLE BY gl_porc_pasto [S][MEAN] + gl_porc_sobrealimento [S][MEAN]
  /CRITERIA CILEVEL=95
  /TITLES
    TITLE='INDICADOR 13. COMPOSICIÓN DE LA ALIMENTACIÓN DEL GANADO VACUNO'
    CAPTION='Elaboración: DEAGA-INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.

*===========================================================================================================================*.


