﻿* Encoding: UTF-8.

*************************************************************************************************************************************************************************************************************
*                                                        SINTAXIS PARA EL CÁLCULO DE LOS ESTADÍSTICOS, TABULADOS E INDICADORES                        *
*                                                             MÓDULO MÉTODOS DE PRODUCCIÓN Y MEDIO AMBIENTE DE LA ENCUESTA                             *
*                                                                  DE SUPERFICIE Y PRODUCCIÓN AGROPECUARIA CONTINUA - ESPAC .                                  *
*                                                                                   REALIZADA POR: RAMIRO BENAVIDES - DEAGA.                                                    *
****************************************************************************************************************************************************************************************************************

*****IMPORTANTE****
*El módulo al ser parte de una encuesta utiliza varias bases de datos de la encuesta principal ESPAC, para la construcción de sus tabulados así paras  las tablas de la 1 a la 24
*las bases referentes a cultivos permanentes, transitorios, flores permanentes, flores transitorias y pastos cultivados se encuentran cargadas en el siguiente link.
*https://www.ecuadorencifras.gob.ec/estadisticas-agropecuarias-2/.
*La base de datos de información del capítulo 13 Ambiente y tecnificación se las descarga del siguiente link:
 https://www.ecuadorencifras.gob.ec/informacion-agroambiental/.

**********************************************************************************************************************************************************************************************************

***MÓDULO MÉTODOS DE PRODUCCIÓN Y MEDIO AMBIENTE***
**Capítulo 13. Ambiente y Tecnificación***

* TÍTULO DE LA SINTAXIS DE INDICADOR:							   
* INDICADOR 14. PROPORCIÓN DE UNIDADES DE PRODUCCIÓN CON LIMITANTES DE ACCESO PARA VEHÍCULOS.*  				   
* OPERACIÓN ESTADÍSTICA:								   
* Encuesta de Superficie y Producción Agropecuaria Continua ESPAC_2023
* UNIDAD TÉCNICA RESPONSABLE: 												   
* Unidad de Estadísticas Ambientales					   
* ENTIDAD EJECUTORA:													   
* Instituto Nacional de Estadística y Censos (INEC)							   
*===========================================================================================================================*.
* Fecha de elaboración:          Abril - 2024						   
* Fecha última modificación:   Abril - 2024
		
*Indicaciones.

*1- Descargue la Bases de datos del Módulo Ambiental "ambnac2023.sav" de la página web: http://www.ecuadorencifras.gob.ec//estadisticas-agropecuarias-2/#

*2- Guarde la base y copie el directorio en:.
get file = 'C:\....\ambnac2023.sav'.

*===========================================================================================================================*.
*                                                                                                 CONSTRUCCIÓN DEL INDICADOR                                 *
*===========================================================================================================================*.

*** ABRIR BASE DEL MÓDULO DE INFORMACIÓN AGROAMBIENTAL Y TECNIFICACIÓN AGROPECUARIA (ambnac2023.sav) ***.

DATASET NAME Ambiente.
DATASET ACTIVATE Ambiente.

***INDICADOR 14. PROPORCIÓN DE UNIDADES DE PRODUCCIÓN CON LIMITANTES DE ACCESO PARA VEHÍCULOS.

USE ALL.
FILTER OFF.

RECODE tipo_via_upa (4, 5 = 1) (1, 2, 3, 6 = 2) INTO Limitantes_Veh.
VARIABLE LABELS Limitantes_Veh "UPAs con limitantes de acceso vehicular".
VALUE LABELS Limitantes_Veh
1 "UPAs con dificultad de acceso vehicular"
2 "UPAs sin dificultad de acceso vehicular".

* Reporte del indicador.
CTABLES
  /VLABELS VARIABLES=Limitantes_Veh DISPLAY=LABEL
  /TABLE Limitantes_Veh [COUNT F40.0, COLPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=Limitantes_Veh ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CRITERIA CILEVEL=95
  /TITLES
    TITLE='INDICADOR 14. PROPORCIÓN DE UNIDADES DE PRODUCCIÓN CON LIMITANTES DE ACCESO PARA VEHÍCULOS'
    CAPTION='Elaboración: DEAGA-INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.

*===========================================================================================================================*.


