﻿* Encoding: UTF-8.

*************************************************************************************************************************************************************************************************************
*                                                        SINTAXIS PARA EL CÁLCULO DE LOS ESTADÍSTICOS, TABULADOS E INDICADORES                        *
*                                                             MÓDULO MÉTODOS DE PRODUCCIÓN Y MEDIO AMBIENTE DE LA ENCUESTA                             *
*                                                                  DE SUPERFICIE Y PRODUCCIÓN AGROPECUARIA CONTINUA - ESPAC .                                  *
*                                                                                   REALIZADA POR: RAMIRO BENAVIDES - DEAGA.                                                    *
****************************************************************************************************************************************************************************************************************

*****IMPORTANTE****
*El módulo al ser parte de una encuesta utiliza varias bases de datos de la encuesta principal ESPAC, para la construcción de sus tabulados así paras  las tablas de la 1 a la 24
*las bases referentes a cultivos permanentes, transitorios, flores permanentes, flores transitorias y pastos cultivados se encuentran cargadas en el siguiente link.
*https://www.ecuadorencifras.gob.ec/estadisticas-agropecuarias-2/.
*La base de datos de información del capítulo 13 Ambiente y tecnificación se las descarga del siguiente link:
 https://www.ecuadorencifras.gob.ec/informacion-agroambiental/.

**********************************************************************************************************************************************************************************************************

***MÓDULO MÉTODOS DE PRODUCCIÓN Y MEDIO AMBIENTE***
**Capítulo 13. Ambiente y Tecnificación***

* TÍTULO DE LA SINTAXIS DE INDICADOR:							   
* INDICADOR 16. UNIDADES DE PRODUCCIÓN AGROPECUARIA POR TIPO DE INFORMACIÓN USADA Y SEGÚN MÉTODO PRINCIPAL DE CONSULTA DE INFORMACIÓN.*  				   
* OPERACIÓN ESTADÍSTICA:								   
* Encuesta de Superficie y Producción Agropecuaria Continua ESPAC_2023
* UNIDAD TÉCNICA RESPONSABLE: 												   
* Unidad de Estadísticas Ambientales					   
* ENTIDAD EJECUTORA:													   
* Instituto Nacional de Estadística y Censos (INEC)							   
*===========================================================================================================================*.
* Fecha de elaboración:          Abril - 2024						   
* Fecha última modificación:   Abril - 2024
		
*Indicaciones.

*1- Descargue la Bases de datos del Módulo Ambiental "ambnac2023.sav" de la página web: http://www.ecuadorencifras.gob.ec//estadisticas-agropecuarias-2/#

*2- Guarde la base y copie el directorio en:.
get file = 'C:\....\ambnac2023.sav'.

*===============================*.
*      CONSTRUCCIÓN DEL INDICADOR
*===============================*.

*** ABRIR BASE DEL MÓDULO DE INFORMACIÓN AGROAMBIENTAL Y TECNIFICACIÓN AGROPECUARIA (ambnac2023.sav) ***.

DATASET NAME Ambiente.
DATASET ACTIVATE Ambiente.

***INDICADOR 16. UNIDADES DE PRODUCCIÓN AGROPECUARIA POR TIPO DE INFORMACIÓN USADA Y SEGÚN MÉTODO PRINCIPAL DE CONSULTA DE INFORMACIÓN.

USE ALL.
FILTER OFF.

COMPUTE UPAs = 1. /* Variable utilitaria para el recuento o suma de todas las UPAs.
ALTER TYPE UPAs (F1).
FREQUENCIES UPAs.

* Porcentaje por columnas para el total de UPAs, por tipo de información usada.
CTABLES
  /VLABELS VARIABLES=inf_cultprod inf_usofert inf_salcul inf_salganado inf_aliganado inf_disinsumos
    inf_preinsumos inf_preproducc inf_pronclima inf_otrainfamb inf_utilininguna UPAs DISPLAY=LABEL
  /TABLE inf_cultprod [C][COUNT F40.0, COLPCT.COUNT PCT40.1] + inf_usofert [C][COUNT F40.0,
    COLPCT.COUNT PCT40.1] + inf_salcul [C][COUNT F40.0, COLPCT.COUNT PCT40.1] + inf_salganado [C][COUNT
    F40.0, COLPCT.COUNT PCT40.1] + inf_aliganado [C][COUNT F40.0, COLPCT.COUNT PCT40.1] +
    inf_disinsumos [C][COUNT F40.0, COLPCT.COUNT PCT40.1] + inf_preinsumos [C][COUNT F40.0,
    COLPCT.COUNT PCT40.1] + inf_preproducc [C][COUNT F40.0, COLPCT.COUNT PCT40.1] + inf_pronclima
    [C][COUNT F40.0, COLPCT.COUNT PCT40.1] + inf_otrainfamb [C][COUNT F40.0, COLPCT.COUNT PCT40.1] +
    inf_utilininguna [C][COUNT F40.0, COLPCT.COUNT PCT40.1] BY UPAs [C]
  /CATEGORIES VARIABLES=inf_cultprod inf_usofert inf_salcul inf_salganado inf_aliganado
    inf_disinsumos inf_preinsumos inf_preproducc inf_pronclima inf_otrainfamb inf_utilininguna UPAs
    ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CRITERIA CILEVEL=95
  /TITLES
    TITLE='INDICADOR 16a. UNIDADES DE PRODUCCIÓN AGROPECUARIA, POR TIPO DE INFORMACIÓN USADA.'
    CAPTION='Elaboración: DEAGA-INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.


* Porcentajes de filas por el tipo de método principal de consulta de información.
CTABLES
  /VLABELS VARIABLES=inf_cultprod inf_usofert inf_salcul inf_salganado inf_aliganado inf_disinsumos
    inf_preinsumos inf_preproducc inf_pronclima inf_otrainfamb inf_utilininguna mcon_infagro DISPLAY=LABEL
  /TABLE inf_cultprod [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + inf_usofert [C][COUNT F40.0,
    ROWPCT.COUNT PCT40.1] + inf_salcul [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + inf_salganado [C][COUNT
    F40.0, ROWPCT.COUNT PCT40.1] + inf_aliganado [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] +
    inf_disinsumos [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + inf_preinsumos [C][COUNT F40.0,
    ROWPCT.COUNT PCT40.1] + inf_preproducc [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + inf_pronclima
    [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + inf_otrainfamb [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] +
    inf_utilininguna [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] BY mcon_infagro
  /CATEGORIES VARIABLES=inf_cultprod inf_usofert inf_salcul inf_salganado inf_aliganado
    inf_disinsumos inf_preinsumos inf_preproducc inf_pronclima inf_otrainfamb inf_utilininguna
    mcon_infagro ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CRITERIA CILEVEL=95
  /TITLES
    TITLE='INDICADOR 16b. UNIDADES DE PRODUCCIÓN AGROPECUARIA, POR TIPO DE INFORMACIÓN USADA ' +
 'Y SEGÚN MÉTODO PRINCIPAL DE CONSULTA DE INFORMACIÓN.'
    CAPTION='Elaboración: DEAGA-INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.

*===========================================================================================================================*.


