﻿* Encoding: UTF-8.

*************************************************************************************************************************************************************************************************************
*                                                        SINTAXIS PARA EL CÁLCULO DE LOS ESTADÍSTICOS, TABULADOS E INDICADORES                        *
*                                                             MÓDULO MÉTODOS DE PRODUCCIÓN Y MEDIO AMBIENTE DE LA ENCUESTA                             *
*                                                                  DE SUPERFICIE Y PRODUCCIÓN AGROPECUARIA CONTINUA - ESPAC .                                  *
*                                                                                   REALIZADA POR: RAMIRO BENAVIDES - DEAGA.                                                    *
****************************************************************************************************************************************************************************************************************

*****IMPORTANTE****
*El módulo al ser parte de una encuesta utiliza varias bases de datos de la encuesta principal ESPAC, para la construcción de sus tabulados así paras  las tablas de la 1 a la 24
*las bases referentes a cultivos permanentes, transitorios, flores permanentes, flores transitorias y pastos cultivados se encuentran cargadas en el siguiente link.
*https://www.ecuadorencifras.gob.ec/estadisticas-agropecuarias-2/.
*La base de datos de información del capítulo 13 Ambiente y tecnificación se las descarga del siguiente link:
 https://www.ecuadorencifras.gob.ec/informacion-agroambiental/.

**********************************************************************************************************************************************************************************************************

***MÓDULO MÉTODOS DE PRODUCCIÓN Y MEDIO AMBIENTE***
**Capítulo 13. Ambiente y Tecnificación***

* TÍTULO DE LA SINTAXIS DE INDICADOR:							   
* INDICADOR 17. UNIDADES DE PRODUCCIÓN AGROPECUARIAS QUE HAN SIDO AFECTADAS POR EVENTOS O DESASTRES NATURALES, POR TIPO DE EVENTO.*  				   
* OPERACIÓN ESTADÍSTICA:								   
* Encuesta de Superficie y Producción Agropecuaria Continua ESPAC_2023
* UNIDAD TÉCNICA RESPONSABLE: 												   
* Unidad de Estadísticas Ambientales					   
* ENTIDAD EJECUTORA:													   
* Instituto Nacional de Estadística y Censos (INEC)							   
*===========================================================================================================================*.
* Fecha de elaboración:          Abril - 2024						   
* Fecha última modificación:   Abril - 2024
		
*Indicaciones.

*1- Descargue la Bases de datos del Módulo Ambiental "ambnac2023.sav" de la página web: http://www.ecuadorencifras.gob.ec//estadisticas-agropecuarias-2/#

*2- Guarde la base y copie el directorio en:.
get file = 'C:\....\ambnac2023.sav'.

*===========================================================================================================================*.
*                                                                                                 CONSTRUCCIÓN DEL INDICADOR                                 *
*===========================================================================================================================*.

*** ABRIR BASE DEL MÓDULO DE INFORMACIÓN AGROAMBIENTAL Y TECNIFICACIÓN AGROPECUARIA (ambnac2023.sav) ***.

DATASET NAME Ambiente.
DATASET ACTIVATE Ambiente.

***INDICADOR 17. PROPORCIÓN DE UNIDADES DE PRODUCCIÓN AGROPECUARIAS QUE HAN SIDO AFECTADAS POR EVENTOS O DESASTRES NATURALES, POR TIPO DE EVENTO.

USE ALL.
FILTER OFF.

* Porcentaje por columnas para el total de cada evento extremo.
CTABLES
  /VLABELS VARIABLES=ext_sequia ext_heladas ext_terremotos ext_inundaciones ext_lluvia
    ext_tempaltas ext_vientos ext_otro DISPLAY=LABEL
  /TABLE ext_sequia [C][COUNT F40.0, COLPCT.COUNT PCT40.1] + ext_heladas [C][COUNT F40.0,
    COLPCT.COUNT PCT40.1] + ext_terremotos [C][COUNT F40.0, COLPCT.COUNT PCT40.1] + ext_inundaciones
    [C][COUNT F40.0, COLPCT.COUNT PCT40.1] + ext_lluvia [C][COUNT F40.0, COLPCT.COUNT PCT40.1] +
    ext_tempaltas [C][COUNT F40.0, COLPCT.COUNT PCT40.1] + ext_vientos [C][COUNT F40.0, COLPCT.COUNT
    PCT40.1] + ext_otro [C][COUNT F40.0, COLPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=ext_sequia ext_heladas ext_terremotos ext_inundaciones ext_lluvia
    ext_tempaltas ext_vientos ext_otro ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CRITERIA CILEVEL=95
  /TITLES
    TITLE='INDICADOR 17. PROPORCIÓN DE UNIDADES DE PRODUCCIÓN AGROPECUARIAS QUE HAN SIDO AFECTADAS POR EVENTOS O DESASTRES NATURALES, POR TIPO DE EVENTO.'
    CAPTION='Elaboración: DEAGA-INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.

*===========================================================================================================================*.


