﻿* Encoding: UTF-8.

*************************************************************************************************************************************************************************************************************
*                                                        SINTAXIS PARA EL CÁLCULO DE LOS ESTADÍSTICOS, TABULADOS E INDICADORES                        *
*                                                             MÓDULO MÉTODOS DE PRODUCCIÓN Y MEDIO AMBIENTE DE LA ENCUESTA                             *
*                                                                  DE SUPERFICIE Y PRODUCCIÓN AGROPECUARIA CONTINUA - ESPAC .                                  *
*                                                                                   REALIZADA POR: RAMIRO BENAVIDES - DEAGA.                                                    *
****************************************************************************************************************************************************************************************************************

*****IMPORTANTE****
*El módulo al ser parte de una encuesta utiliza varias bases de datos de la encuesta principal ESPAC, para la construcción de sus tabulados así paras  las tablas de la 1 a la 24
*las bases referentes a cultivos permanentes, transitorios, flores permanentes, flores transitorias y pastos cultivados se encuentran cargadas en el siguiente link.
*https://www.ecuadorencifras.gob.ec/estadisticas-agropecuarias-2/.
*La base de datos de información del capítulo 13 Ambiente y tecnificación se las descarga del siguiente link:
 https://www.ecuadorencifras.gob.ec/informacion-agroambiental/.

**********************************************************************************************************************************************************************************************************

***MÓDULO MÉTODOS DE PRODUCCIÓN Y MEDIO AMBIENTE***
**Capítulo 13. Ambiente y Tecnificación***

* TÍTULO DE LA SINTAXIS DE INDICADOR:							   
* INDICADOR 19. UNIDADES DE PRODUCCIÓN AGROPECUARIAS QUE REALIZAN PRÁCTICAS DE ADAPTACIÓN AL CAMBIO CLIMÁTICO.*  				   
* OPERACIÓN ESTADÍSTICA:								   
* Encuesta de Superficie y Producción Agropecuaria Continua ESPAC_2023
* UNIDAD TÉCNICA RESPONSABLE: 												   
* Unidad de Estadísticas Ambientales					   
* ENTIDAD EJECUTORA:													   
* Instituto Nacional de Estadística y Censos (INEC)							   
*===========================================================================================================================*.
* Fecha de elaboración:          Abril - 2024						   
* Fecha última modificación:   Abril - 2024
		
*Indicaciones.

*1- Descargue la Bases de datos del Módulo Ambiental "ambnac2023.sav" de la página web: http://www.ecuadorencifras.gob.ec//estadisticas-agropecuarias-2/#

*2- Guarde la base y copie el directorio en:.
get file = 'C:\....\ambnac2023.sav'.

*===========================================================================================================================*.
*                                                                                                 CONSTRUCCIÓN DEL INDICADOR                                 *
*===========================================================================================================================*.

*** ABRIR BASE DEL MÓDULO DE INFORMACIÓN AGROAMBIENTAL Y TECNIFICACIÓN AGROPECUARIA (ambnac2023.sav) ***.

DATASET NAME Ambiente.
DATASET ACTIVATE Ambiente.

***INDICADOR 19. UNIDADES DE PRODUCCIÓN AGROPECUARIAS QUE REALIZAN PRÁCTICAS DE ADAPTACIÓN AL CAMBIO CLIMÁTICO.

USE ALL.
FILTER OFF.

* Porcentaje por columnas para cada tipo de práctica de adaptación al cambio climático.
CTABLES
  /VLABELS VARIABLES=pada_usoprac pada_usosemi pada_utiltecn pada_otros pada_ninguno DISPLAY=LABEL
  /TABLE pada_usoprac [C][COUNT F40.0, COLPCT.COUNT PCT40.1] + pada_usosemi [C][COUNT F40.0,
    COLPCT.COUNT PCT40.1] + pada_utiltecn [C][COUNT F40.0, COLPCT.COUNT PCT40.1] + pada_otros [C][COUNT
    F40.0, COLPCT.COUNT PCT40.1] + pada_ninguno [C][COUNT F40.0, COLPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=pada_usoprac pada_usosemi pada_utiltecn pada_otros pada_ninguno ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CRITERIA CILEVEL=95
  /TITLES
    TITLE='INDICADOR 19. UNIDADES DE PRODUCCIÓN AGROPECUARIAS QUE REALIZAN PRÁCTICAS DE ADAPTACIÓN AL CAMBIO CLIMÁTICO.'
    CAPTION='Elaboración: DEAGA-INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.

*===========================================================================================================================*.


