﻿* Encoding: UTF-8.

*************************************************************************************************************************************************************************************************************
*                                                        SINTAXIS PARA EL CÁLCULO DE LOS ESTADÍSTICOS, TABULADOS E INDICADORES                        *
*                                                             MÓDULO MÉTODOS DE PRODUCCIÓN Y MEDIO AMBIENTE DE LA ENCUESTA                             *
*                                                                  DE SUPERFICIE Y PRODUCCIÓN AGROPECUARIA CONTINUA - ESPAC .                                  *
*                                                                                   REALIZADA POR: RAMIRO BENAVIDES - DEAGA.                                                    *
****************************************************************************************************************************************************************************************************************

*****IMPORTANTE****
*El módulo al ser parte de una encuesta utiliza varias bases de datos de la encuesta principal ESPAC, para la construcción de sus tabulados así paras  las tablas de la 1 a la 24
*las bases referentes a cultivos permanentes, transitorios, flores permanentes, flores transitorias y pastos cultivados se encuentran cargadas en el siguiente link.
*https://www.ecuadorencifras.gob.ec/estadisticas-agropecuarias-2/.
*La base de datos de información del capítulo 13 Ambiente y tecnificación se las descarga del siguiente link:
 https://www.ecuadorencifras.gob.ec/informacion-agroambiental/.

**********************************************************************************************************************************************************************************************************

***MÓDULO MÉTODOS DE PRODUCCIÓN Y MEDIO AMBIENTE***
**Sección2. Utilización de recursos naturales***
**Indicador 

* TÍTULO DE LA SINTAXIS DE INDICADOR:							   
* INDICADOR 2. PROPORCIÓN DE LA SUPERFICIE QUEMADA EN LOS CULTIVOS TRANSITORIOS.*  				   
* OPERACIÓN ESTADÍSTICA:													   
* Encuesta de Superficie y Producción Agropecuaria Continua ESPAC_2023			   
* UNIDAD TÉCNICA RESPONSABLE: 												   
* Unidad de Estadísticas Ambientales					   
* ENTIDAD EJECUTORA:														   
* Instituto Nacional de Estadística y Censos (INEC)							   
*===========================================================================================================================*.
* Fecha de elaboración:          Abril - 2024						   
* Fecha última modificación:   Abril - 2024
		
*Indicaciones.

*1- Descargue la Bases de datos de uso del suelo "ctnac2023.sav" de la página web: http://www.ecuadorencifras.gob.ec//estadisticas-agropecuarias-2/#

*2- Guarde la base y copie el directorio en:.
get file = 'C:\....\ctnac2023.sav'.

*===========================================================================================================================*.
*                                                                                                 CONSTRUCCIÓN DEL INDICADOR                                 *
*==========================================================================================================================*.

*** ABRIR BASE DE CULTIVOS TRANSITORIOS (ctnac2023.sav) ***.

DATASET NAME Cultiv_Tran.
DATASET ACTIVATE Cultiv_Tran.

WEIGHT OFF.
FILTER OFF.
COMPUTE cultiv_tran = (rc_clacul >= 500 & rc_clacul <= 599). /* Los cultivos transitorios están en este rango de productos. 
FREQUENCIES cultiv_tran.

***Reporte del INDICADOR 2a. PROPORCIÓN DE LA SUPERFICIE QUEMADA DE CULTIVOS TRANSITORIOS.

USE ALL.
FILTER BY cultiv_tran.
WEIGHT BY fact_exp_fin.

CTABLES
  /VLABELS VARIABLES=ct_nclavr ct_k510ha ct_prepa_suelo DISPLAY=LABEL
  /TABLE ct_nclavr [C] > ct_k510ha [S][SUM] BY ct_prepa_suelo [C]
  /CATEGORIES VARIABLES=ct_nclavr ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES=ct_prepa_suelo ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
 /TITLES
    TITLE='INDICADOR 2A. PROPORCIÓN DE LA SUPERFICIE QUEMADA DE CULTIVOS TRANSITORIOS (ha)'
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.


***Reporte del INDICADOR 2b. PROPORCIÓN DE LA SUPERFICIE QUEMADA DE CULTIVOS TRANSITORIOS POR PROVINCIA.

CTABLES
  /VLABELS VARIABLES=ual_prov ct_k510ha ct_prepa_suelo DISPLAY=LABEL
  /TABLE ual_prov [C] > ct_k510ha [S][SUM] BY ct_prepa_suelo [C]
  /CATEGORIES VARIABLES=ual_prov ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES=ct_prepa_suelo ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
 /TITLES
    TITLE='INDICADOR 2B. PROPORCIÓN DE LA SUPERFICIE QUEMADA EN LOS CULTIVOS TRANSITORIOS POR PROVINCIA (ha)'
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.
