﻿* Encoding: UTF-8.

*************************************************************************************************************************************************************************************************************
*                                                        SINTAXIS PARA EL CÁLCULO DE LOS ESTADÍSTICOS, TABULADOS E INDICADORES                        *
*                                                             MÓDULO MÉTODOS DE PRODUCCIÓN Y MEDIO AMBIENTE DE LA ENCUESTA                             *
*                                                                  DE SUPERFICIE Y PRODUCCIÓN AGROPECUARIA CONTINUA - ESPAC .                                  *
*                                                                                   REALIZADA POR: RAMIRO BENAVIDES - DEAGA.                                                    *
****************************************************************************************************************************************************************************************************************

*****IMPORTANTE****
*El módulo al ser parte de una encuesta utiliza varias bases de datos de la encuesta principal ESPAC, para la construcción de sus tabulados así paras  las tablas de la 1 a la 24
*las bases referentes a cultivos permanentes, transitorios, flores permanentes, flores transitorias y pastos cultivados se encuentran cargadas en el siguiente link.
*https://www.ecuadorencifras.gob.ec/estadisticas-agropecuarias-2/.
*La base de datos de información del capítulo 13 Ambiente y tecnificación se las descarga del siguiente link:
 https://www.ecuadorencifras.gob.ec/informacion-agroambiental/.

**********************************************************************************************************************************************************************************************************

***MÓDULO MÉTODOS DE PRODUCCIÓN Y MEDIO AMBIENTE***
**Capítulo 13. Ambiente y Tecnificación***

* TÍTULO DE LA SINTAXIS DE INDICADOR:							   
* INDICADOR 20. PRINCIPALES TIPOS DE RESIDUOS Y/O DESECHOS GENERADOS POR LA UNIDAD DE PRODUCCIÓN AGROPECUARIA.*  				   
* OPERACIÓN ESTADÍSTICA:								   
* Encuesta de Superficie y Producción Agropecuaria Continua ESPAC_2023
* UNIDAD TÉCNICA RESPONSABLE: 												   
* Unidad de Estadísticas Ambientales					   
* ENTIDAD EJECUTORA:													   
* Instituto Nacional de Estadística y Censos (INEC)							   
*===========================================================================================================================*.
* Fecha de elaboración:          Abril - 2024						   
* Fecha última modificación:   Abril - 2024
		
*Indicaciones.

*1- Descargue la Bases de datos del Módulo Ambiental "ambnac2023.sav" de la página web: http://www.ecuadorencifras.gob.ec//estadisticas-agropecuarias-2/#

*2- Guarde la base y copie el directorio en:.
get file = 'C:\....\ambnac2023.sav'.

*===========================================================================================================================*.
*                                                                                                 CONSTRUCCIÓN DEL INDICADOR                                 *
*===========================================================================================================================*.

*** ABRIR BASE DEL MÓDULO DE INFORMACIÓN AGROAMBIENTAL Y TECNIFICACIÓN AGROPECUARIA (ambnac2023.sav) ***.

DATASET NAME Ambiente.
DATASET ACTIVATE Ambiente.

***INDICADOR 20. PRINCIPALES TIPOS DE RESIDUOS Y/O DESECHOS GENERADOS POR LA UNIDAD DE PRODUCCIÓN AGROPECUARIA.

USE ALL.
FILTER OFF.

COMPUTE Res_A = ANY(res_vehiculos, 1, 2, 3, 4, 5, 7).
COMPUTE Res_B = ANY(res_llantas, 1, 2, 3, 4, 5, 7).
COMPUTE Res_C = ANY(res_aceites, 1, 2, 3, 4, 5, 7).
COMPUTE Res_D = ANY(res_envases, 1, 2, 3, 4, 5, 7).
COMPUTE Res_E = ANY(res_plasticos, 1, 2, 3, 4, 5, 7).
COMPUTE Res_F = ANY(res_envlimpieza, 1, 2, 3, 4, 5, 7).
COMPUTE Res_G = ANY(res_envfitosani, 1, 2, 3, 4, 5, 7).
COMPUTE Res_H = ANY(res_envfertili, 1, 2, 3, 4, 5, 7).
COMPUTE Res_I = ANY(res_envsemillas, 1, 2, 3, 4, 5, 7).
COMPUTE Res_J = ANY(res_cuerdas, 1, 2, 3, 4, 5, 7).
COMPUTE Res_K = ANY(res_fitovencidos, 1, 2, 3, 4, 5, 7).
COMPUTE Res_L = ANY(res_veterinarios, 1, 2, 3, 4, 5, 7).
EXECUTE.

VARIABLE LABELS Res_A "Vehículos que no funcionan (tractores, maquinaria agrícola, etc)".
VARIABLE LABELS Res_B "Llantas usadas".
VARIABLE LABELS Res_C "Aceites residales (aceites negros e hidráulicos)".
VARIABLE LABELS Res_D "Envases vacíos de diésel, gasolina u otros productos de petróleo".
VARIABLE LABELS Res_E "Plásticos de invernadero usados".
VARIABLE LABELS Res_F "Envases vacíos de productos de limpieza o desinfección".
VARIABLE LABELS Res_G "Envases vacíos de productos fitosanitarios".
VARIABLE LABELS Res_H "Envases vacíos de productos fertilizantes".
VARIABLE LABELS Res_I "Envases vacíos de semillas (bolsas y recipientes de todos los tamaños y materiales)".
VARIABLE LABELS Res_J "Cuerdas y redes (utilizadas para tutoreo o empaque)".
VARIABLE LABELS Res_K "Productos fitosanitarios vencidos".
VARIABLE LABELS Res_L "Residuos veterinarios".

VALUE LABELS Res_A Res_B Res_C Res_D Res_E Res_F Res_G Res_H Res_I Res_J Res_K Res_L
1 "Generó el residuo"
0 "No generó el residuo".

* Porcentaje por columnas para cada tipo de residuo y/o desecho generado.
CTABLES
  /VLABELS VARIABLES=Res_A Res_B Res_C Res_D Res_E Res_F Res_G Res_H Res_I Res_J Res_K Res_L DISPLAY=LABEL
  /TABLE Res_A [COUNT F40.0, COLPCT.COUNT PCT40.1] + Res_B [COUNT F40.0, COLPCT.COUNT PCT40.1] +
    Res_C [COUNT F40.0, COLPCT.COUNT PCT40.1] + Res_D [COUNT F40.0, COLPCT.COUNT PCT40.1] + Res_E
    [COUNT F40.0, COLPCT.COUNT PCT40.1] + Res_F [COUNT F40.0, COLPCT.COUNT PCT40.1] + Res_G [COUNT
    F40.0, COLPCT.COUNT PCT40.1] + Res_H [COUNT F40.0, COLPCT.COUNT PCT40.1] + Res_I [COUNT F40.0,
    COLPCT.COUNT PCT40.1] + Res_J [COUNT F40.0, COLPCT.COUNT PCT40.1] + Res_K [COUNT F40.0,
    COLPCT.COUNT PCT40.1] + Res_L [COUNT F40.0, COLPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=Res_A Res_B Res_C Res_D Res_E Res_F Res_G Res_H Res_I Res_J Res_K Res_L
    ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CRITERIA CILEVEL=95
  /TITLES
    TITLE='INDICADOR 20. PRINCIPALES TIPOS DE RESIDUOS Y/O DESECHOS GENERADOS POR LA UNIDAD DE PRODUCCIÓN AGROPECUARIA'
    CAPTION='Elaboración: DEAGA-INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.

*===========================================================================================================================*.


