﻿* Encoding: UTF-8.

*************************************************************************************************************************************************************************************************************
*                                                        SINTAXIS PARA EL CÁLCULO DE LOS ESTADÍSTICOS, TABULADOS E INDICADORES                        *
*                                                             MÓDULO MÉTODOS DE PRODUCCIÓN Y MEDIO AMBIENTE DE LA ENCUESTA                             *
*                                                                  DE SUPERFICIE Y PRODUCCIÓN AGROPECUARIA CONTINUA - ESPAC .                                  *
*                                                                                   REALIZADA POR: RAMIRO BENAVIDES - DEAGA.                                                    *
****************************************************************************************************************************************************************************************************************

*****IMPORTANTE****
*El módulo al ser parte de una encuesta utiliza varias bases de datos de la encuesta principal ESPAC, para la construcción de sus tabulados así paras  las tablas de la 1 a la 24
*las bases referentes a cultivos permanentes, transitorios, flores permanentes, flores transitorias y pastos cultivados se encuentran cargadas en el siguiente link.
*https://www.ecuadorencifras.gob.ec/estadisticas-agropecuarias-2/.
*La base de datos de información del capítulo 13 Ambiente y tecnificación se las descarga del siguiente link:
 https://www.ecuadorencifras.gob.ec/informacion-agroambiental/.

**********************************************************************************************************************************************************************************************************

***MÓDULO MÉTODOS DE PRODUCCIÓN Y MEDIO AMBIENTE***
**Capítulo 13. Ambiente y Tecnificación***

* TÍTULO DE LA SINTAXIS DE INDICADOR:							   
* INDICADOR 21. DISPOSICIÓN FINAL DE RESIDUOS Y/O DESECHOS GENERADOS POR LA UNIDAD DE PRODUCCIÓN AGROPECUARIA, SEGÚN TIPO DE DISPOSICIÓN FINAL*  				   
* OPERACIÓN ESTADÍSTICA:								   
* Encuesta de Superficie y Producción Agropecuaria Continua ESPAC_2023
* UNIDAD TÉCNICA RESPONSABLE: 												   
* Unidad de Estadísticas Ambientales					   
* ENTIDAD EJECUTORA:													   
* Instituto Nacional de Estadística y Censos (INEC)							   
*===========================================================================================================================*.
* Fecha de elaboración:          Abril - 2024						   
* Fecha última modificación:   Abril - 2024
		
*Indicaciones.

*1- Descargue la Bases de datos del Módulo Ambiental "ambnac2023.sav" de la página web: http://www.ecuadorencifras.gob.ec//estadisticas-agropecuarias-2/#

*2- Guarde la base y copie el directorio en:.
get file = 'C:\....\ambnac2023.sav'.

*===========================================================================================================================*.
*                                                                                                 CONSTRUCCIÓN DEL INDICADOR                                 *
*===========================================================================================================================*.

*** ABRIR BASE DEL MÓDULO DE INFORMACIÓN AGROAMBIENTAL Y TECNIFICACIÓN AGROPECUARIA (ambnac2023.sav) ***.

DATASET NAME Ambiente.
DATASET ACTIVATE Ambiente.

***INDICADOR 21. DISPOSICIÓN FINAL DE RESIDUOS Y/O DESECHOS GENERADOS POR LA UNIDAD DE PRODUCCIÓN AGROPECUARIA, SEGÚN TIPO DE DISPOSICIÓN FINAL.

USE ALL.
FILTER OFF.

* Porcentaje por filas para cada tipo de residuo y/o desecho generado y según su tipo de disposición final.
CTABLES
  /VLABELS VARIABLES=res_vehiculos res_llantas res_aceites res_envases res_plasticos
    res_envlimpieza res_envfitosani res_envfertili res_envsemillas res_cuerdas res_fitovencidos
    res_veterinarios DISPLAY=LABEL
  /TABLE BY res_vehiculos [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + res_llantas [C][COUNT F40.0,
    ROWPCT.COUNT PCT40.1] + res_aceites [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + res_envases [C][COUNT
    F40.0, ROWPCT.COUNT PCT40.1] + res_plasticos [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] +
    res_envlimpieza [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + res_envfitosani [C][COUNT F40.0,
    ROWPCT.COUNT PCT40.1] + res_envfertili [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + res_envsemillas
    [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + res_cuerdas [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] +
    res_fitovencidos [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + res_veterinarios [C][COUNT F40.0,
    ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=res_vehiculos res_llantas res_aceites res_envases res_plasticos
    res_envlimpieza res_envfitosani res_envfertili res_envsemillas res_cuerdas res_fitovencidos
    res_veterinarios ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CRITERIA CILEVEL=95
  /TITLES
    TITLE='INDICADOR 21. DISPOSICIÓN FINAL DE RESIDUOS Y/O DESECHOS GENERADOS POR LA UNIDAD DE PRODUCCIÓN AGROPECUARIA, SEGÚN TIPO DE DISPOSICIÓN FINAL'
    CAPTION='Elaboración: DEAGA-INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.

*===========================================================================================================================*.


