﻿* Encoding: UTF-8.

*************************************************************************************************************************************************************************************************************
*                                                        SINTAXIS PARA EL CÁLCULO DE LOS ESTADÍSTICOS, TABULADOS E INDICADORES                        *
*                                                             MÓDULO MÉTODOS DE PRODUCCIÓN Y MEDIO AMBIENTE DE LA ENCUESTA                             *
*                                                                  DE SUPERFICIE Y PRODUCCIÓN AGROPECUARIA CONTINUA - ESPAC .                                  *
*                                                                                   REALIZADA POR: RAMIRO BENAVIDES - DEAGA.                                                    *
****************************************************************************************************************************************************************************************************************

*****IMPORTANTE****
*El módulo al ser parte de una encuesta utiliza varias bases de datos de la encuesta principal ESPAC, para la construcción de sus tabulados así paras  las tablas de la 1 a la 24
*las bases referentes a cultivos permanentes, transitorios, flores permanentes, flores transitorias y pastos cultivados se encuentran cargadas en el siguiente link.
*https://www.ecuadorencifras.gob.ec/estadisticas-agropecuarias-2/.
*La base de datos de información del capítulo 13 Ambiente y tecnificación se las descarga del siguiente link:
 https://www.ecuadorencifras.gob.ec/informacion-agroambiental/.

**********************************************************************************************************************************************************************************************************

***MÓDULO MÉTODOS DE PRODUCCIÓN Y MEDIO AMBIENTE***
**Sección2. Utilización de recursos naturales***
**Indicador 

* TÍTULO DE LA SINTAXIS DE INDICADOR:							   
* INDICADOR 3. PROPORCIÓN DE SUPERFICIE COSECHADA DE CULTIVOS TRANSITORIOS, POR TIPO DE USO DE RESIDUOS.*  				   
* OPERACIÓN ESTADÍSTICA:													   
* Encuesta de Superficie y Producción Agropecuaria Continua ESPAC_2023			   
* UNIDAD TÉCNICA RESPONSABLE: 												   
* Unidad de Estadísticas Ambientales					   
* ENTIDAD EJECUTORA:														   
* Instituto Nacional de Estadística y Censos (INEC)							   
*===========================================================================================================================*.
* Fecha de elaboración:          Abril - 2024						   
* Fecha última modificación:   Abril - 2024
		
*Indicaciones.

*1- Descargue la Bases de la página web: http://www.ecuadorencifras.gob.ec//estadisticas-agropecuarias-2/#

*2- Guarde la base y copie el directorio en:.
get file = 'C:\....\ctnac2023.sav'.

*===========================================================================================================================*.
*                                                                                                 CONSTRUCCIÓN DEL INDICADOR                                 *
*==========================================================================================================================*.

*** ABRIR BASE DE CULTIVOS TRANSITORIOS (ctnac2022.sav) ***.

DATASET NAME Cultiv_Trans.
DATASET ACTIVATE Cultiv_Trans.


VALUE LABELS ct_despcosecha
0 "VACIO"
1 "Cosecha todo, no deja residuos"
2 "Incorpora los residuos al suelo"
3 "Utiliza los residuos como cama o alimento de animales"
4 "Usa como combustible"
5 "Hace compost"
6 "Ninguno".

***INDICADOR 3. PROPORCIÓN DE SUPERFICIE COSECHADA DE CULTIVOS TRANSITORIOS POR TIPO DE USO DE RESIDUOS.

WEIGHT BY fact_exp_fin.


DATASET ACTIVATE Cultiv_Trans.
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=ct_nclavr ct_despcosecha ct_k510ha DISPLAY=LABEL
  /TABLE ct_nclavr [C] BY ct_despcosecha [C] > ct_k510ha [S][SUM]
  /CATEGORIES VARIABLES=ct_nclavr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=ct_despcosecha [1, 2, 3, 4, 5, 6] EMPTY=INCLUDE
  /CRITERIA CILEVEL=95
 /TITLES
    TITLE='INDICADOR 3. PROPORCIÓN DE SUPERFICIE COSECHADA DE CULTIVOS TRANSITORIOS, POR TIPO DE USO DE RESIDUOS'
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.
