﻿* Encoding: UTF-8.

*************************************************************************************************************************************************************************************************************
*                                                        SINTAXIS PARA EL CÁLCULO DE LOS ESTADÍSTICOS, TABULADOS E INDICADORES                        
*                                                             MÓDULO MÉTODOS DE PRODUCCIÓN Y MEDIO AMBIENTE DE LA ENCUESTA                             
*                                                                  DE SUPERFICIE Y PRODUCCIÓN AGROPECUARIA CONTINUA - ESPAC .                                  
*                                                                                   REALIZADA POR: RAMIRO BENAVIDES - DEAGA.                                                    
****************************************************************************************************************************************************************************************************************

*****IMPORTANTE****
*El módulo al ser parte de una encuesta utiliza varias bases de datos de la encuesta principal ESPAC, para la construcción de sus tabulados así paras  las tablas de la 1 a la 24
*las bases referentes a cultivos permanentes, transitorios, flores permanentes, flores transitorias y pastos cultivados se encuentran cargadas en el siguiente link.
*https://www.ecuadorencifras.gob.ec/estadisticas-agropecuarias-2/.
*La base de datos de información del capítulo 13 Ambiente y tecnificación se las descarga del siguiente link:
 https://www.ecuadorencifras.gob.ec/informacion-agroambiental/.
* El indicador está compuesto por la unión de cinco tablas ya que se forma de la información de cultivos bajo riego de cultivos permanentes, transitorios, pastos*
* flores permanentes y transitorias. *

**********************************************************************************************************************************************************************************************************

***MÓDULO MÉTODOS DE PRODUCCIÓN Y MEDIO AMBIENTE***
**Sección2. Utilización de recursos naturales***

* TÍTULO DE LA SINTAXIS DE INDICADOR:							   
* INDICADOR 4. PROPORCIÓN DE LA SUPERFICIE CULTIVADA IRRIGADA, POR MÉTODO DE RIEGO.*  				   
* OPERACIÓN ESTADÍSTICA:													   
* Encuesta de Superficie y Producción Agropecuaria Continua ESPAC_2023			   
* UNIDAD TÉCNICA RESPONSABLE: 												   
* Unidad de Estadísticas Ambientales					   
* ENTIDAD EJECUTORA:														   
* Instituto Nacional de Estadística y Censos (INEC)							   
*===========================================================================================================================*.
* Fecha de elaboración:          Abril - 2024						   
* Fecha última modificación:   Abril - 2024
		
*Indicaciones.

*1- Descargue la Bases de la página web: http://www.ecuadorencifras.gob.ec//estadisticas-agropecuarias-2/#

*===========================================================
* 1. CONSTRUCCIÓN DEL INDICADOR: CASO DE CULTIVOS PERMANENTES
*===========================================================

*** ABRIR BASE DE CULTIVOS PERMANENTES (cpnac2023.sav) ***.

DATASET NAME Cultiv_Perm.
DATASET ACTIVATE Cultiv_Perm.

WEIGHT OFF.
FILTER OFF.
COMPUTE cultiv_perm = (rc_clacul >= 400 & rc_clacul <= 499). /* Los cultivos permanentes están en este rango de productos. 
FREQUENCIES cultiv_perm.

* Cálculo de superficies irrigadas en cultivos permanentes, por método de riego.
COMPUTE sup_riego_surc = cp_porc_surc * cp_k409ha / 100. /* Superficie de cultivos permanentes regada por surcos-inundación.
COMPUTE sup_riego_aspe = cp_porc_aspe * cp_k409ha / 100.  /* Superficie de cultivos permanentes regada por aspersión.
COMPUTE sup_riego_micr = cp_porc_micr * cp_k409ha / 100.  /* Superficie de cultivos permanentes regada por microaspersión.
COMPUTE sup_riego_gote = cp_porc_gote * cp_k409ha / 100.  /* Superficie de cultivos permanentes regada por goteo.
COMPUTE sup_riego_nebu = cp_porc_nebu * cp_k409ha / 100. /* Superficie de cultivos permanentes regada por nebulización.
COMPUTE sup_riego_otro = cp_porc_otro * cp_k409ha / 100.  /* Superficie de cultivos permanentes regada por otra tecnología.
EXECUTE.

FILTER BY cultiv_perm.
WEIGHT BY fact_exp_fin. /* Toda superficie debe expandirse con este factor de expansión.

* INDICADOR 4a. PROPORCIÓN DE LA SUPERFICIE CULTIVADA IRRIGADA, POR MÉTODO DE RIEGO Y SEGÚN TIPO DE CULTIVO PERMANENTE.
* Reporte del indicador.
CTABLES
  /VLABELS VARIABLES=ual_prov sup_riego_surc sup_riego_aspe sup_riego_micr sup_riego_gote 
    sup_riego_nebu sup_riego_otro DISPLAY=LABEL
  /TABLE ual_prov [C] BY sup_riego_surc [S][SUM] + sup_riego_aspe [S][SUM] + sup_riego_micr 
    [S][SUM] + sup_riego_gote [S][SUM] + sup_riego_nebu [S][SUM] + sup_riego_otro [S][SUM]
  /CATEGORIES VARIABLES=ual_prov ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CRITERIA CILEVEL=95
  /TITLES
    TITLE='INDICADOR 4a. PROPORCIÓN DE LA SUPERFICIE CULTIVADA IRRIGADA, POR MÉTODO DE RIEGO Y SEGÚN TIPO DE CULTIVO PERMANENTE'
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.


*==========================================================
* 2. CONSTRUCCIÓN DEL INDICADOR: CASO DE CULTIVOS TRANSITORIOS
*==========================================================

*** ABRIR BASE DE CULTIVOS TRANSITORIOS (ctnac2023.sav) ***.

DATASET NAME Cultiv_Tran.
DATASET ACTIVATE Cultiv_Tran.

WEIGHT OFF.
FILTER OFF.
COMPUTE cultiv_tran = (rc_clacul >= 500 & rc_clacul <= 599). /* Los cultivos transitorios están en este rango de productos. 
FREQUENCIES cultiv_tran.

* Cálculo de superficies irrigadas en cultivos transitorios, por método de riego.
COMPUTE sup_riego_surc = ct_porc_surc * ct_k510ha / 100. /* Superficie de cultivos transitorios regada por surcos-inundación.
COMPUTE sup_riego_aspe = ct_porc_aspe * ct_k510ha / 100.  /* Superficie de cultivos transitorios regada por aspersión.
COMPUTE sup_riego_micr = ct_porc_micr * ct_k510ha / 100.  /* Superficie de cultivos transitorios regada por microaspersión.
COMPUTE sup_riego_gote = ct_porc_gote * ct_k510ha / 100.  /* Superficie de cultivos transitorios regada por goteo.
COMPUTE sup_riego_nebu = ct_porc_nebu * ct_k510ha / 100. /* Superficie de cultivos transitorios regada por nebulización.
COMPUTE sup_riego_otro = ct_porc_otro * ct_k510ha / 100.  /* Superficie de cultivos transitorios regada por otra tecnología.
EXECUTE.

FILTER BY cultiv_tran.
WEIGHT BY fact_exp_fin. /* Toda superficie debe expandirse con este factor de expansión.

* INDICADOR 4b. PROPORCIÓN DE LA SUPERFICIE CULTIVADA IRRIGADA, POR MÉTODO DE RIEGO Y SEGÚN TIPO DE CULTIVO TRANSITORIO.
* Reporte del indicador.
CTABLES
  /VLABELS VARIABLES=ual_prov sup_riego_surc sup_riego_aspe sup_riego_micr sup_riego_gote 
    sup_riego_nebu sup_riego_otro DISPLAY=LABEL
  /TABLE ual_prov [C] BY sup_riego_surc [S][SUM] + sup_riego_aspe [S][SUM] + sup_riego_micr 
    [S][SUM] + sup_riego_gote [S][SUM] + sup_riego_nebu [S][SUM] + sup_riego_otro [S][SUM]
  /CATEGORIES VARIABLES=ual_prov ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
  /TITLES
    TITLE='INDICADOR 4b. PROPORCIÓN DE LA SUPERFICIE CULTIVADA IRRIGADA, POR MÉTODO DE RIEGO Y SEGÚN TIPO DE CULTIVO TRANSITORIO'
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.


*========================================================
* 3. CONSTRUCCIÓN DEL INDICADOR: CASO DE PASTOS CULTIVADOS
*========================================================

*** ABRIR BASE DE PASTOS CULTIVADOS (pcnac2023.sav) ***.

DATASET NAME Pastos_Cultiv.
DATASET ACTIVATE Pastos_Cultiv.

WEIGHT OFF.
FILTER OFF.
COMPUTE pastos_cultiv = (rc_clacul >= 751 & rc_clacul <= 771) | (rc_clacul = 780). /* Los pastos cultivados están en este rango de productos. 
FREQUENCIES pastos_cultiv.

* Cálculo de superficies irrigadas en pastos cultivados, por método de riego.
COMPUTE sup_riego_surc = cp_porc_surc * cp_k409ha / 100. /* Superficie de pastos cultivados regada por surcos-inundación.
COMPUTE sup_riego_aspe = cp_porc_aspe * cp_k409ha / 100.  /* Superficie de pastos cultivados regada por aspersión.
COMPUTE sup_riego_micr = cp_porc_micr * cp_k409ha / 100.  /* Superficie de pastos cultivados regada por microaspersión.
COMPUTE sup_riego_gote = cp_porc_gote * cp_k409ha / 100.  /* Superficie de pastos cultivados regada por goteo.
COMPUTE sup_riego_nebu = cp_porc_nebu * cp_k409ha / 100. /* Superficie de pastos cultivados regada por nebulización.
COMPUTE sup_riego_otro = cp_porc_otro * cp_k409ha / 100.  /* Superficie de pastos cultivados regada por otra tecnología.
EXECUTE.

FILTER BY pastos_cultiv.
WEIGHT BY fact_exp_fin. /* Toda superficie debe expandirse con este factor de expansión.

* INDICADOR 4c. PROPORCIÓN DE LA SUPERFICIE CULTIVADA IRRIGADA, POR MÉTODO DE RIEGO Y SEGÚN TIPO DE PASTO CULTIVADO.
* Reporte del indicador.
CTABLES
  /VLABELS VARIABLES=ual_prov sup_riego_surc sup_riego_aspe sup_riego_micr sup_riego_gote 
    sup_riego_nebu sup_riego_otro 
    DISPLAY=LABEL
  /TABLE ual_prov [C] BY sup_riego_surc [S][SUM] + sup_riego_aspe [S][SUM] + sup_riego_micr 
    [S][SUM] + sup_riego_gote [S][SUM] + sup_riego_nebu [S][SUM] + sup_riego_otro [S][SUM]
  /CATEGORIES VARIABLES=ual_prov ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
  /TITLES
    TITLE='INDICADOR 4c. PROPORCIÓN DE LA SUPERFICIE CULTIVADA IRRIGADA, POR MÉTODO DE RIEGO Y SEGÚN TIPO DE PASTO CULTIVADO'
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.


*==========================================================
* 4. CONSTRUCCIÓN DEL INDICADOR: CASO DE FLORES PERMANENTES
*==========================================================

*** ABRIR BASE DE FLORES PERMANENTES (fpnac2023.sav) ***.

DATASET NAME Flores_Perm.
DATASET ACTIVATE Flores_Perm.

WEIGHT OFF.
FILTER OFF.

* Cálculo de superficies irrigadas en flores permanentes, por método de riego.
COMPUTE sup_riego_surc = fp_porc_surc * fp_k706ha / 100. /* Superficie de flores permanentes regada por surcos-inundación.
COMPUTE sup_riego_aspe = fp_porc_aspe * fp_k706ha / 100.  /* Superficie de flores permanentes regada por aspersión.
COMPUTE sup_riego_micr = fp_porc_micr * fp_k706ha / 100.  /* Superficie de flores permanentes regada por microaspersión.
COMPUTE sup_riego_gote = fp_porc_gote * fp_k706ha / 100.  /* Superficie de flores permanentes regada por goteo.
COMPUTE sup_riego_nebu = fp_porc_nebu * fp_k706ha / 100. /* Superficie de flores permanentes regada por nebulización.
COMPUTE sup_riego_otro = fp_porc_otro * fp_k706ha / 100.  /* Superficie de flores permanentes regada por otra tecnología.
EXECUTE.

WEIGHT BY fact_exp_fin. /* Toda superficie debe expandirse con este factor de expansión.

* INDICADOR 4d. PROPORCIÓN DE LA SUPERFICIE CULTIVADA IRRIGADA, POR MÉTODO DE RIEGO Y SEGÚN TIPO DE FLOR PERMANENTE.
* Reporte del indicador.
CTABLES
  /VLABELS VARIABLES=ual_prov sup_riego_surc sup_riego_aspe sup_riego_micr sup_riego_gote 
    sup_riego_nebu sup_riego_otro DISPLAY=LABEL
  /TABLE ual_prov [C] BY sup_riego_surc [S][SUM] + sup_riego_aspe [S][SUM] + sup_riego_micr 
    [S][SUM] + sup_riego_gote [S][SUM] + sup_riego_nebu [S][SUM] + sup_riego_otro [S][SUM]
  /CATEGORIES VARIABLES=ual_prov ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CRITERIA CILEVEL=95
 /TITLES
    TITLE='INDICADOR 4d. PROPORCIÓN DE LA SUPERFICIE CULTIVADA IRRIGADA, POR MÉTODO DE RIEGO Y SEGÚN TIPO DE FLOR PERMANENTE'
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.


*==========================================================
* 5. CONSTRUCCIÓN DEL INDICADOR: CASO DE FLORES TRANSITORIAS
*==========================================================

*** ABRIR BASE DE FLORES TRANSITORIAS (ftnac2023.sav) ***.

DATASET NAME Flores_Tran.
DATASET ACTIVATE Flores_Tran.

WEIGHT OFF.
FILTER OFF.

* Cálculo de superficies irrigadas en flores transitorias, por método de riego.
COMPUTE sup_riego_surc = ft_porc_surc * ft_k720ha / 100. /* Superficie de flores transitorias regada por surcos-inundación.
COMPUTE sup_riego_aspe = ft_porc_aspe * ft_k720ha / 100.  /* Superficie de flores transitorias regada por aspersión.
COMPUTE sup_riego_micr = ft_porc_micr * ft_k720ha / 100.  /* Superficie de flores transitorias regada por microaspersión.
COMPUTE sup_riego_gote = ft_porc_gote * ft_k720ha / 100.  /* Superficie de flores transitorias regada por goteo.
COMPUTE sup_riego_nebu = ft_porc_nebu * ft_k720ha / 100. /* Superficie de flores transitorias regada por nebulización.
COMPUTE sup_riego_otro = ft_porc_otro * ft_k720ha / 100.  /* Superficie de flores transitorias regada por otra tecnología.
EXECUTE.

WEIGHT BY fact_exp_fin. /* Toda superficie debe expandirse con este factor de expansión.

* INDICADOR 4e. PROPORCIÓN DE LA SUPERFICIE CULTIVADA IRRIGADA, POR MÉTODO DE RIEGO Y SEGÚN TIPO DE FLOR TRANSITORIA.
* Reporte del indicador.
CTABLES
  /VLABELS VARIABLES=ual_prov sup_riego_surc sup_riego_aspe sup_riego_micr sup_riego_gote 
    sup_riego_nebu sup_riego_otro DISPLAY=LABEL
  /TABLE ual_prov [C] BY sup_riego_surc [S][SUM] + sup_riego_aspe [S][SUM] + sup_riego_micr 
    [S][SUM] + sup_riego_gote [S][SUM] + sup_riego_nebu [S][SUM] + sup_riego_otro [S][SUM]
  /CATEGORIES VARIABLES=ual_prov ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CRITERIA CILEVEL=95
 /TITLES
    TITLE='INDICADOR 4e. PROPORCIÓN DE LA SUPERFICIE CULTIVADA IRRIGADA, POR MÉTODO DE RIEGO Y SEGÚN TIPO DE FLOR TRANSITORIA'
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.


