﻿* Encoding: UTF-8.

*************************************************************************************************************************************************************************************************************
*                                                        SINTAXIS PARA EL CÁLCULO DE LOS ESTADÍSTICOS, TABULADOS E INDICADORES                        *
*                                                             MÓDULO MÉTODOS DE PRODUCCIÓN Y MEDIO AMBIENTE DE LA ENCUESTA                             *
*                                                                  DE SUPERFICIE Y PRODUCCIÓN AGROPECUARIA CONTINUA - ESPAC .                                  *
*                                                                                   REALIZADA POR: RAMIRO BENAVIDES - DEAGA.                                                    *
****************************************************************************************************************************************************************************************************************

*****IMPORTANTE****
*El módulo como parte de una encuesta emplea diversas bases de datos de la encuesta principal ESPAC, para la construcción de sus tabulados e indicadores.
*Las bases relacionadas a cultivos permanentes, transitorios, flores permanentes, flores transitorias y pastos cultivados se encuentran disponibles en el siguiente enlace.
*https://www.ecuadorencifras.gob.ec/estadisticas-agropecuarias-2/.
*La bases relacionadas de datos de información del capítulo 13 Ambiente y tecnificación se puede descarga del siguiente enlace:
 https://www.ecuadorencifras.gob.ec/informacion-agroambiental/.

**********************************************************************************************************************************************************************************************************

***MÓDULO MÉTODOS DE PRODUCCIÓN Y MEDIO AMBIENTE***
**Sección2. Utilización de recursos naturales***

* TÍTULO DE LA SINTAXIS DE INDICADOR:							   
* 'INDICADOR 5. PROPORCIÓN DE UNIDADES DE PRODUCCIÓN AGROPECUARIA QUE APLICAN RIEGO EN SUS CULTIVOS, POR TIPO DE FUENTE DE AGUA*  				   
* OPERACIÓN ESTADÍSTICA:													   
* Encuesta de Superficie y Producción Agropecuaria Continua ESPAC_2023			   
* UNIDAD TÉCNICA RESPONSABLE: 												   
* Unidad de Estadísticas Ambientales					   
* ENTIDAD EJECUTORA:														   
* Instituto Nacional de Estadística y Censos (INEC)							   
*===========================================================================================================================*.
* Fecha de elaboración:          Abril - 2024						   
* Fecha última modificación:   Abril - 2024
		
*Indicaciones.

* 1- Descargue la Bases de datos del Módulo de Ambiente y Tecnificación “ambnac2023.sav” de la página web:
 http://www.ecuadorencifras.gob.ec/informacion-agroambiental/
*2- Guarde la base y copie el directorio en:.
get file = 'C:\....\ambnac2023.sav'.

*================================
* CONSTRUCCIÓN DEL INDICADOR
*================================

* INDICADOR 5. PROPORCIÓN DE UNIDADES DE PRODUCCIÓN AGROPECUARIA QUE APLICAN RIEGO EN SUS CULTIVOS, POR TIPO DE FUENTE DE AGUA.

*** ABRIR BASE DE AMBIENTE Y TECNIFICACIÓN AGROPECUARIA (ambnac2023.sav) ***.

DATASET NAME Ambiente.
DATASET ACTIVATE Ambiente.

RECODE ag_proviriego (1, 2 = 1) (3, 4 = 2) (ELSE = COPY) INTO Orig_Riego.

VARIABLE LABELS Orig_Riego "Origen del agua para riego".

VALUE LABELS Orig_Riego
1 "Fuentes superficiales"
2 "Fuentes subterráneas"
5 "Agua de red pública de riego"
6 "Agua residual tratada"
7 "Otra fuente".

FREQUENCIES Orig_Riego.

* Reporte del indicador.
CTABLES
  /VLABELS VARIABLES=Orig_Riego DISPLAY=LABEL
  /TABLE Orig_Riego [COUNT F40.0, COLPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=Orig_Riego ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CRITERIA CILEVEL=95
  /TITLES
    TITLE='INDICADOR 5. PROPORCIÓN DE UNIDADES DE PRODUCCIÓN AGROPECUARIA QUE APLICAN RIEGO EN SUS CULTIVOS, POR TIPO DE FUENTE DE AGUA'
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.








