﻿* Encoding: UTF-8.

*************************************************************************************************************************************************************************************************************
*                                                        SINTAXIS PARA EL CÁLCULO DE LOS ESTADÍSTICOS, TABULADOS E INDICADORES                        *
*                                                             MÓDULO MÉTODOS DE PRODUCCIÓN Y MEDIO AMBIENTE DE LA ENCUESTA                             *
*                                                                  DE SUPERFICIE Y PRODUCCIÓN AGROPECUARIA CONTINUA - ESPAC .                                  *
*                                                                                   REALIZADA POR: RAMIRO BENAVIDES - DEAGA.                                                    *
****************************************************************************************************************************************************************************************************************

*****IMPORTANTE****
*El módulo como parte de una encuesta emplea diversas bases de datos de la encuesta principal ESPAC, para la construcción de sus tabulados e indicadores.
*Las bases relacionadas a cultivos permanentes, transitorios, flores permanentes, flores transitorias y pastos cultivados se encuentran disponibles en el siguiente enlace.
*https://www.ecuadorencifras.gob.ec/estadisticas-agropecuarias-2/.
*La bases relacionadas de datos de información del capítulo 13 Ambiente y tecnificación se puede descarga del siguiente enlace:
 https://www.ecuadorencifras.gob.ec/informacion-agroambiental/.

**********************************************************************************************************************************************************************************************************

***MÓDULO MÉTODOS DE PRODUCCIÓN Y MEDIO AMBIENTE***
**Sección2. Utilización de recursos naturales***

* TÍTULO DE LA SINTAXIS DE INDICADOR:							   
* INDICADOR 6. PROPORCIÓN DE UNIDADES DE PRODUCCCIÓN AGROPECUARIA QUE APLICAN FERTILIZANTES QUÍMICOS EN SUS CULTIVOS.*  				   
* OPERACIÓN ESTADÍSTICA:													   
* Encuesta de Superficie y Producción Agropecuaria Continua ESPAC_2023			   
* UNIDAD TÉCNICA RESPONSABLE: 												   
* Unidad de Estadísticas Ambientales					   
* ENTIDAD EJECUTORA:														   
* Instituto Nacional de Estadística y Censos (INEC)							   
*===========================================================================================================================*.
* Fecha de elaboración:          Abril - 2024						   
* Fecha última modificación:   Abril - 2024
		
*Indicaciones.

*1- Descargue la Bases de datos de la página web: https://www.ecuadorencifras.gob.ec/informacion-agroambiental/.
*2- Guarde la base y copie el directorio en:.
get file = 'C:\....\ambnac2023.sav'.

*====================================================================*.
*               CONSTRUCCIÓN DEL INDICADOR  PARA UNIDADES PRODUCTIVAS                         
*====================================================================*.

*** Abrir base de datos de Ambiente y Tecnificación Agropecuaria (ambnac2023.sav) ***.

DATASET NAME Ambiental.
DATASET ACTIVATE Ambiental.

RECODE utilizo_fertquim (1, 2 = 1) (3 = 2) (ELSE = COPY) INTO uso_fer_qui.

VARIABLE LABELS uso_fer_qui "UPAs que aplican fertilizantes químicos".

VALUE LABELS uso_fer_qui
1 "Si usa fertilizantes "
2 "No usa fertilizantes ".

* Reporte del indicador.
CTABLES
  /VLABELS VARIABLES=uso_fer_qui DISPLAY=LABEL
  /TABLE uso_fer_qui [COUNT F40.0, COLPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=uso_fer_qui ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CRITERIA CILEVEL=95
  /TITLES
    TITLE='INDICADOR 6. PROPORCIÓN DE UNIDADES DE PRODUCCCIÓN AGROPECUARIA QUE APLICAN FERTILIZANTES QUÍMICOS EN SUS CULTIVOS.'
    CAPTION='Elaboración: DEAGA-INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.



