﻿* Encoding: UTF-8.

*************************************************************************************************************************************************************************************************************
*                                                        SINTAXIS PARA EL CÁLCULO DE LOS ESTADÍSTICOS, TABULADOS E INDICADORES                        *
*                                                             MÓDULO MÉTODOS DE PRODUCCIÓN Y MEDIO AMBIENTE DE LA ENCUESTA                             *
*                                                                  DE SUPERFICIE Y PRODUCCIÓN AGROPECUARIA CONTINUA - ESPAC .                                  *
*                                                                                   REALIZADA POR: RAMIRO BENAVIDES - DEAGA.                                                    *
****************************************************************************************************************************************************************************************************************

*****IMPORTANTE****
*El módulo como parte de una encuesta emplea diversas bases de datos de la encuesta principal ESPAC, para la construcción de sus tabulados e indicadores.
*Las bases relacionadas a cultivos permanentes, transitorios, flores permanentes, flores transitorias y pastos cultivados se encuentran disponibles en el siguiente enlace.
*https://www.ecuadorencifras.gob.ec/estadisticas-agropecuarias-2/.
*La bases relacionadas de datos de información del capítulo 13 Ambiente y tecnificación se puede descarga del siguiente enlace:
 https://www.ecuadorencifras.gob.ec/informacion-agroambiental/.

**********************************************************************************************************************************************************************************************************

***MÓDULO MÉTODOS DE PRODUCCIÓN Y MEDIO AMBIENTE***
**Sección2. Utilización de recursos naturales***

* TÍTULO DE LA SINTAXIS DE INDICADOR:							   
* INDICADOR 8. PROPORCIÓN DE UPAS QUE APLICAN FITOSANITARIOS EN SUS CULTIVOS*  				   
* OPERACIÓN ESTADÍSTICA:													   
* Encuesta de Superficie y Producción Agropecuaria Continua ESPAC_2023			   
* UNIDAD TÉCNICA RESPONSABLE: 												   
* Unidad de Estadísticas Ambientales					   
* ENTIDAD EJECUTORA:														   
* Instituto Nacional de Estadística y Censos (INEC)							   
*===========================================================================================================================*.
* Fecha de elaboración:          Abril - 2024						   
* Fecha última modificación:   Abril - 2024
		
*Indicaciones.

*1- Descargue la Bases de la página web: https://www.ecuadorencifras.gob.ec/informacion-agroambiental/.

*============================
* CONSTRUCCIÓN DEL INDICADOR
*============================

*** ABRIR BASE DEL MÓDULO AMBIENTAL Y DE TECNIFICACIÓN AGROPECUARIA (ambnac2023.sav) ***.

DATASET NAME Ambientales.
DATASET ACTIVATE Ambientales.

COMPUTE Protecc_Plaga = MIN(plag_utilguan, plag_utilmasca, plag_utilgafas, plag_utilcamisas, plag_utilbotas, plag_utilvesti).

RECODE Protecc_Plaga (1, 2 = 1) (0, SYSMIS = 2) INTO Aplica_Fitosanitarios.

VARIABLE LABELS Aplica_Fitosanitarios "Unidades de Producción Agropecuaria que aplican fitosanitarios en sus cultivos".
VALUE LABELS Aplica_Fitosanitarios
1 "UPAs que aplican fitosanitarios"
2 "UPAs que no aplican fitosanitarios".

* Reporte del indicador.
CTABLES
  /VLABELS VARIABLES=Aplica_Fitosanitarios DISPLAY=LABEL
  /TABLE Aplica_Fitosanitarios [COUNT F40.0, COLPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=Aplica_Fitosanitarios ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
    POSITION=AFTER
  /CRITERIA CILEVEL=95
  /TITLES
    TITLE='INDICADOR 8. PROPORCIÓN DE UPAS QUE APLICAN FITOSANITARIOS EN SUS CULTIVOS (%)'
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.





