﻿* Encoding: UTF-8.

*************************************************************************************************************************************************************************************************************
*** SINTAXIS PARA EL CÁLCULO DE LOS ESTADÍSTICOS, TABULADOS E INDICADORES
*** DEL MÓDULO DE INFORMACIÓN AMBIENTAL EN AGRICULTURA DE LA ENCUESTA
*** DE SUPERFICIE Y PRODUCCIÓN AGROPECUARIA CONTINUA - ESPAC .
*** REALIZADA POR: RAMIRO BENAVIDES - DEAGA.
*** 02 DE MAYO DE 2016
*** ACTUALIZACIÓN: CARLOS PILATAXI - DEAGA - 2023***  
****************************************************************************************************************************************************************************************************************

*****IMPORTANTE****
**El módulo al ser parte de una encuesta utiliza varias bases de datos de la encuesta principal ESPAC, para la construcción de sus tabulados así paras  las tablas de la 1 a la 24
**las bases referentes a cultivos permanentes, transitorios, flores permanentes, flores transitorias y pastos cultivados se encuentran cargadas en el siguiente link.
**https://www.ecuadorencifras.gob.ec/estadisticas-agropecuarias-2/.

* (0) PREÁMBULO: CÁLCULO NO PUBLICADO DE LA SUPERFICIE AGROPECUARIA DEL ECUADOR.

*** ABRIR BASE DE CULTIVOS PERMANENTES (cpnac.sav)***.

DATASET NAME cpnac.

WEIGHT OFF.
FILTER OFF.
COMPUTE cultiv_perm = (rc_clacul >= 400 & rc_clacul <= 499). /* Los cultivos permanentes están en este rango de productos. 
FREQUENCIES cultiv_perm.

FILTER BY cultiv_perm.
WEIGHT BY fact_exp_fin.

DESCRIPTIVES VARIABLES=cp_k409ha
  /STATISTICS=MEAN SUM STDDEV MIN MAX.


*** Se obtuvo 1.446.225 ha. de cultivos permanentes_2023.
* SECCIÓN 1. CULTIVOSPERMANENTES.


***** TABLA 1. SUPERFICIE DE CULTIVOS PERMANENTES CON SISTEMA DE DRENAJE.

FILTER BY cultiv_perm.

DATASET ACTIVATE Conjunto_de_datos1.
* Tablas personalizadas.

CTABLES
  /VLABELS VARIABLES=cp_nclavr cp_k409ha cp_sdrenaje DISPLAY=LABEL
  /TABLE cp_nclavr [C] > cp_k409ha [S][SUM] BY cp_sdrenaje [C]
  /CATEGORIES VARIABLES=cp_nclavr ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=cp_sdrenaje ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
  TITLE= 'SUPERFICIE DE CULTIVOS PERMANENTES CON SISTEMA DE DRENAJE'
   CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.



***** TABLA 2 SUPERFICIE DE CULTIVOS PERMANENTES CON SISTEMA DE RIEGO POR PROVINCIA.

FILTER BY cultiv_perm.
WEIGHT BY fact_exp_fin.
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=ual_prov cp_k409ha cp_riego DISPLAY=LABEL
  /TABLE ual_prov [C] > cp_k409ha [S][SUM] BY cp_riego [C]
  /CATEGORIES VARIABLES=ual_prov ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES=cp_riego ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
 /TITLES
  TITLE= 'SUPERFICIE DE CULTIVOS PERMANENTES CON SISTEMA DE RIEGO POR PROVINCIA'
   CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.  



*******TABLA 3 SE COMPONE DE DOS TABLAS 3.1 y 3.2.

***** TABLA 3.1 SUPERFICIE DE CULTIVOS PERMANENTES CON SISTEMA DE RIEGO.

FILTER BY cultiv_perm.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=cp_nclavr cp_k409ha cp_riego DISPLAY=LABEL
  /TABLE cp_nclavr [C] > cp_k409ha [S][SUM] BY cp_riego [C]
  /CATEGORIES VARIABLES=cp_nclavr cp_riego ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
 /TITLES
  TITLE= 'SUPERFICIE DE CULTIVOS PERMANENTES CON SISTEMA DE RIEGO'
   CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.  


***** TABLA 3_2 SUPERFICIE EFECTIVAMENTE REGADA DE  CULTIVOS PERMANENTES.

FILTER BY cultiv_perm.

* Tablas personalizadas.

CTABLES
  /VLABELS VARIABLES=cp_nclavr cp_superf_regada_ha DISPLAY=LABEL
  /TABLE cp_nclavr [C] > cp_superf_regada_ha [S][SUM]
  /CATEGORIES VARIABLES=cp_nclavr ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
  TITLE= 'SUPERFICIE EFECTIVAMENTE REGADA DE  CULTIVOS PERMANENTES'
   CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.


* TABLA 4. SUPERFICIE BAJO RIEGO, POR MÉTODO DE RIEGO Y SEGÚN TIPO DE CULTIVO PERMANENTE.

*** ABRIR BASE DE CULTIVOS PERMANENTES (cpnac2023.sav) ***.


DATASET NAME cpnac2023.sav.


FILTER OFF.
USE ALL.
WEIGHT OFF.

COMPUTE sup_riego_surc = cp_porc_surc * cp_k409ha / 100. /* Superficie de cultivos permanentes regada por surcos-inundación.
COMPUTE sup_riego_aspe = cp_porc_aspe * cp_k409ha / 100.  /* Superficie de cultivos permanentes regada por aspersión.
COMPUTE sup_riego_micr = cp_porc_micr * cp_k409ha / 100.  /* Superficie de cultivos permanentes regada por microaspersión.
COMPUTE sup_riego_gote = cp_porc_gote * cp_k409ha / 100.  /* Superficie de cultivos permanentes regada por goteo.
COMPUTE sup_riego_nebu = cp_porc_nebu * cp_k409ha / 100. /* Superficie de cultivos permanentes regada por nebulización.
COMPUTE sup_riego_otro = cp_porc_otro * cp_k409ha / 100.  /* Superficie de cultivos permanentes regada por otra tecnología.
EXECUTE.

FILTER BY cultiv_perm.
WEIGHT BY fact_exp_fin. /* Toda superficie debe expandirse con este factor de expansión.


* CONSTRUCCIÒN DE LA TABLA 4. SUPERFICIE BAJO RIEGO, POR MÉTODO DE RIEGO Y SEGÚN TIPO DE CULTIVO PERMANENTE.

CTABLES
  /VLABELS VARIABLES=cp_nclavr sup_riego_surc sup_riego_aspe sup_riego_micr sup_riego_gote 
    sup_riego_nebu sup_riego_otro 
    DISPLAY=LABEL
  /TABLE cp_nclavr [C] BY sup_riego_surc [S][SUM] + sup_riego_aspe [S][SUM] + sup_riego_micr 
    [S][SUM] + sup_riego_gote [S][SUM] + sup_riego_nebu [S][SUM] + sup_riego_otro [S][SUM]
  /CATEGORIES VARIABLES=cp_nclavr ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
 /TITLES
  TITLE= 'SUPERFICIE BAJO RIEGO, POR MÉTODO DE RIEGO Y SEGÚN TIPO DE CULTIVO'
   CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.


** TABLA 5 SUPERFICIE DE CULTIVOS PERMANENTES, DONDE SE USARON INSUMOS, FERTILIZANTES Y PLAGUICIDAS.


FILTER BY cultiv_perm.
WEIGHT BY fact_exp_fin. /* Toda superficie debe expandirse con este factor de expansión.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=cp_nclavr cp_k409ha cp_aferti cp_forg cp_fqui cp_afito cp_porg cp_pqui 
    DISPLAY=LABEL
  /TABLE cp_nclavr [C] BY cp_k409ha [S][SUM] > (cp_aferti [C] + cp_forg [C] + cp_fqui [C] + 
    cp_afito [C] + cp_porg [C] + cp_pqui [C])
  /CATEGORIES VARIABLES=cp_nclavr ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES=cp_aferti [1] EMPTY=INCLUDE
  /CATEGORIES VARIABLES=cp_forg [1] EMPTY=INCLUDE
  /CATEGORIES VARIABLES=cp_fqui [1] EMPTY=INCLUDE
  /CATEGORIES VARIABLES=cp_afito [1] EMPTY=INCLUDE
  /CATEGORIES VARIABLES=cp_porg [1] EMPTY=INCLUDE
  /CATEGORIES VARIABLES=cp_pqui [1] EMPTY=INCLUDE
  /CRITERIA CILEVEL=95
 /TITLES
  TITLE= 'SUPERFICIE DE CULTIVOS PERMANENTES, DONDE SE USARON INSUMOS, FERTILIZANTES Y PLAGUICIDAS'
   CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.

** TABLA 5.1 SUPERFICIE DE CULTIVOS PERMANENTES, DONDE SE USARON INSUMOS, FERTILIZANTES Y PLAGUICIDAS.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=cp_nclavr cp_k409ha DISPLAY=LABEL
  /TABLE cp_nclavr [C] BY cp_k409ha [S][SUM]
  /CATEGORIES VARIABLES=cp_nclavr ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
  /CRITERIA CILEVEL=95.

*** TABLA 6 INTENSIDAD DE USO DE FERTILIZANTES EN CULTIVOS PERMANENTES (cpnac2023.sav)***.

DATASET ACTIVATE permanentes.

FILTER OFF.
USE ALL.
SPLIT FILE OFF.
WEIGHT OFF.

* Transformación a Kilogramos. Litros - NPK  
* MASA - VOLUMEN   /  Kilogramos - Litros

DO IF (cp_umed_npk_fq = 1).
    COMPUTE NPK_Masa=cp_cantidad_npk_fq * 0.453592.
ELSE IF (cp_umed_npk_fq = 2).
    COMPUTE NPK_Masa=cp_cantidad_npk_fq .
ELSE IF (cp_umed_npk_fq = 3).
    COMPUTE NPK_Masa= cp_cantidad_npk_fq * 45.359237.
ELSE IF (cp_umed_npk_fq = 4).
    COMPUTE NPK_Masa=cp_cantidad_npk_fq * 1000.
ELSE IF (cp_umed_npk_fq = 5).
    COMPUTE NPK_Volum=cp_cantidad_npk_fq .
END IF.

* Transformación a Kilogramos. Litros -  NITROGENADOS 
* MASA - VOLUMEN   /  Kilogramos - Litros

DO IF (cp_umed_nit_fq = 1).
    COMPUTE Nitr_Masa=cp_cantidad_nit_fq * 0.453592.
ELSE IF (cp_umed_nit_fq = 2).
    COMPUTE Nitr_Masa=cp_cantidad_nit_fq .
ELSE IF (cp_umed_nit_fq = 3).
    COMPUTE Nitr_Masa=cp_cantidad_nit_fq * 45.359237.
ELSE IF (cp_umed_nit_fq = 4).
    COMPUTE Nitr_Masa=cp_cantidad_nit_fq * 1000.
ELSE IF (cp_umed_nit_fq = 5).
    COMPUTE Nitr_Volum=cp_cantidad_nit_fq .
END IF.

* Transformación a Kilogramos. Litros -  FOSFATADOS 
* MASA - VOLUMEN   /  Kilogramos - Litros"

DO IF (cp_umed_fq = 1).
    COMPUTE Fosf_Masa=cp_cantidad_fq * 0.453592.
ELSE IF (cp_umed_fq = 2).
    COMPUTE Fosf_Masa=cp_cantidad_fq .
ELSE IF (cp_umed_fq = 3).
    COMPUTE Fosf_Masa=cp_cantidad_fq * 45.359237.
ELSE IF (cp_umed_fq = 4).
    COMPUTE Fosf_Masa=cp_cantidad_fq * 1000.
ELSE IF (cp_umed_fq = 5).
    COMPUTE Fosf_Volum=cp_cantidad_fq .
END IF.

* Transformación a Kilogramos. Litros -  POTASICOS 
*  MASA - VOLUMEN   /  Kilogramos - Litros

DO IF (cp_umed_pot_fq = 1).
    COMPUTE Pot_Masa=cp_cantidad_pot_fq * 0.453592.
ELSE IF (cp_umed_pot_fq = 2).
    COMPUTE Pot_Masa=cp_cantidad_pot_fq .
ELSE IF (cp_umed_pot_fq = 3).
    COMPUTE Pot_Masa=cp_cantidad_pot_fq * 45.359237.
ELSE IF (cp_umed_pot_fq = 4).
    COMPUTE Pot_Masa=cp_cantidad_pot_fq * 1000.
ELSE IF (cp_umed_pot_fq = 5).
    COMPUTE Pot_Volum=cp_cantidad_pot_fq .
END IF.

* Determinación de filtros para superficies con cantidades positivas de fertilizantes.

WEIGHT OFF.

COMPUTE Fil_NPK_Masa = (NPK_Masa > 0).
COMPUTE Fil_NPK_Volum = (NPK_Volum > 0).
COMPUTE Fil_Nitr_Masa = (Nitr_Masa > 0).
COMPUTE Fil_Nitr_Volum = (Nitr_Volum > 0).
COMPUTE Fil_Fosf_Masa = (Fosf_Masa > 0).
COMPUTE Fil_Fosf_Volum = (Fosf_Volum > 0).
COMPUTE Fil_Pot_Masa = (Pot_Masa > 0).
COMPUTE Fil_Pot_Volum = (Pot_Volum > 0).

* Determinación de filtros para unicidad de superficies con cantidades positivas de fertilizantes.

COMPUTE Sup_MASA = (Fil_NPK_Masa | Fil_Nitr_Masa | Fil_Fosf_Masa | Fil_Pot_Masa).
COMPUTE Sup_VOL = (Fil_NPK_Volum | Fil_Nitr_Volum | Fil_Fosf_Volum | Fil_Pot_Volum).

* Determinación de totales de superficie donde se aplicó fertilizantes sólidos (masa) y líquidos (volumen).

COMPUTE Suma_Fert_Masa = SUM.1(NPK_Masa, Nitr_Masa, Fosf_Masa, Pot_Masa).
COMPUTE Suma_Fert_Vol = SUM.1(NPK_Volum, Nitr_Volum, Fosf_Volum, Pot_Volum).

* Determinación de variables contenedoras de los cultivos permanentes para publicación de intensidades de fertilizantes.

IF (rc_clacul = 402) Cultiv_P = 2.
IF (rc_clacul = 407) Cultiv_P = 3.
IF (rc_clacul = 411) Cultiv_P = 4.
IF (rc_clacul = 416) Cultiv_P = 5.
IF (rc_clacul = 419) Cultiv_P = 6.
IF (rc_clacul = 420) Cultiv_P = 7.
IF (rc_clacul = 440) Cultiv_P = 8.
IF (rc_clacul = 444) Cultiv_P = 9.
IF (rc_clacul = 446) Cultiv_P = 10.
IF (rc_clacul = 450) Cultiv_P = 11.
IF (rc_clacul = 453) Cultiv_P = 12.
IF (rc_clacul = 456) Cultiv_P = 13.
IF (rc_clacul = 457) Cultiv_P = 14.
IF (rc_clacul = 464) Cultiv_P = 15.
IF (rc_clacul = 466) Cultiv_P = 16.
IF (rc_clacul = 472) Cultiv_P = 17.

IF (rc_clacul = 400) Cultiv_P = 18.
IF (rc_clacul = 401) Cultiv_P = 18.
IF RANGE(rc_clacul, 403, 406, 408, 410, 412, 415) Cultiv_P = 18.
IF (rc_clacul = 417) Cultiv_P = 18.
IF (rc_clacul = 418) Cultiv_P = 18.
IF RANGE(rc_clacul, 421, 439, 441, 443) Cultiv_P = 18.
IF (rc_clacul = 445) Cultiv_P = 18.
IF RANGE(rc_clacul, 447, 449) Cultiv_P = 18.
IF (rc_clacul = 451) Cultiv_P = 18.
IF (rc_clacul = 452) Cultiv_P = 18.
IF (rc_clacul = 454) Cultiv_P = 18.
IF (rc_clacul = 455) Cultiv_P = 18.
IF RANGE(rc_clacul, 458, 463) Cultiv_P = 18.
IF (rc_clacul = 465) Cultiv_P = 18.
IF RANGE(rc_clacul, 468, 471, 473, 477, 480, 497) Cultiv_P = 18.
IF (rc_clacul = 499) Cultiv_P = 18.
IF (RANGE(rc_clacul, 400, 499) & ~ANY(rc_clacul, 467, 478, 479, 498)) NACIONAL = 1.

VALUE LABELS Cultiv_P
2"AGUACATE"
3"BANANO"
4"CACAO CCN51 (ALMENDRA SECA)"
5"CAFÉ ARÁBIGO (GRANO ORO)"
6"CAÑA DE AZÚCAR / AZÚCAR"
7"CAÑA DE AZÚCAR / OTROS USOS"
8"LIMON"
9"MANGO"
10"MARACUYÁ"
11"NARANJA"
12"ORITO"
13"PALMA AFRICANA"
14"PALMITO"
15"PIÑA"
16"PLÁTANO"
17"TOMATE DE ÁRBOL"
18"OTROS PERMANENTES".
EXECUTE.

WEIGHT BY fact_exp_fin.

* TABLA 6. Cantidades de masa (kg) y volumen (l) aplicados a los cultivos permanentes, por ciertos cultivos transitorios y según clase de fertilizante químico.

CTABLES
  /VLABELS VARIABLES=NACIONAL Cultiv_P Fil_NPK_Masa NPK_Masa Fil_NPK_Volum NPK_Volum Fil_Nitr_Masa Nitr_Masa Fil_Nitr_Volum Nitr_Volum
    Fil_Fosf_Masa Fosf_Masa Fil_Fosf_Volum Fosf_Volum Fil_Pot_Masa Pot_Masa Fil_Pot_Volum Pot_Volum Suma_Fert_Masa Suma_Fert_Vol DISPLAY=LABEL
  /TABLE NACIONAL + Cultiv_P BY Fil_NPK_Masa > NPK_Masa [SUM] + Fil_NPK_Volum > NPK_Volum [SUM] + Fil_Nitr_Masa > Nitr_Masa [SUM] 
    + Fil_Nitr_Volum > Nitr_Volum [SUM] + Fil_Fosf_Masa > Fosf_Masa [SUM] + Fil_Fosf_Volum > Fosf_Volum [SUM] + Fil_Pot_Masa > Pot_Masa [SUM] 
    + Fil_Pot_Volum > Pot_Volum [SUM] + Suma_Fert_Masa [SUM] + Suma_Fert_Vol [SUM]
  /CATEGORIES VARIABLES=NACIONAL Fil_NPK_Masa Fil_NPK_Volum Fil_Nitr_Masa Fil_Nitr_Volum Fil_Fosf_Masa Fil_Fosf_Volum Fil_Pot_Masa
    Fil_Pot_Volum ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=Cultiv_P ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
    TITLE='MASA (kg) Y VOLUMEN (l) USADOS DE FERTILIZANTES, POR CIERTOS CULTIVOS PERMANENTES Y SEGÚN CLASE DE FERTILIZANTE QUÍMICO'
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023 '.

* TABLA 6_1. Superficie con aplicación de fertilizantes, por ciertos cultivos permanentes y según clase de fertilizante químico (en masa y volumen).

CTABLES
  /VLABELS VARIABLES=NACIONAL Cultiv_P cp_k409ha Fil_NPK_Masa Fil_NPK_Volum Fil_Nitr_Masa Fil_Nitr_Volum Fil_Fosf_Masa Fil_Fosf_Volum
    Fil_Pot_Masa Fil_Pot_Volum Sup_MASA Sup_VOL DISPLAY=LABEL
  /TABLE NACIONAL [C] + Cultiv_P [C] BY cp_k409ha [SUM] > (Fil_NPK_Masa [C] + Fil_NPK_Volum [C] + Fil_Nitr_Masa [C] + Fil_Nitr_Volum [C]
   + Fil_Fosf_Masa [C] + Fil_Fosf_Volum [C] + Fil_Pot_Masa [C] + Fil_Pot_Volum [C] + Sup_MASA + Sup_VOL)
  /CATEGORIES VARIABLES=NACIONAL Fil_NPK_Masa Fil_NPK_Volum Fil_Nitr_Masa Fil_Nitr_Volum Fil_Fosf_Masa Fil_Fosf_Volum Fil_Pot_Masa
   Fil_Pot_Volum Sup_MASA Sup_VOL ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=Cultiv_P ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
    TITLE='SUPERFICIE CON APLICACIÓN DE FERTILIZANTES, POR CIERTOS CULTIVOS PERMANENTES Y SEGÚN CLASE DE FERTILIZANTE QUÍMICO' '(ha)'
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.

***Para obtener la tabla 6 dividir la tabla 6 para la 6_1.


* TABLA 7. SUPERFICIE PLANTADA EN HECTÁREAS POR  TIPO DE SEMILLA UTILIZADA Y PRÁCTICA DE CULTIVO, SEGÚN CULTIVOS PERMANENTES*

WEIGHT BY fact_exp_fin.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=cp_nclavr nuevacondicion cp_vcomún cp_vmejorada cp_vhibrinacio cp_vhibrinterna 
    DISPLAY=LABEL
  /TABLE cp_nclavr [C] > nuevacondicion [C] BY cp_vcomún [S][SUM] + cp_vmejorada [S][SUM] + 
    cp_vhibrinacio [S][SUM] + cp_vhibrinterna [S][SUM]
  /CATEGORIES VARIABLES=cp_nclavr ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES=nuevacondicion ORDER=A KEY=VALUE EMPTY=INCLUDE
 /TITLES
    TITLE='SUPERFICIE CON APLICACIÓN DE FERTILIZANTES, POR CIERTOS CULTIVOS PERMANENTES Y SEGÚN CLASE DE FERTILIZANTE QUÍMICO' '(ha)'
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.



**************************************************************************************************************
*** CULTIVOS TRANSITORIOS.
*** DEL MÓDULO DE INFORMACIÓN AMBIENTAL EN AGRICULTURA DE LA ENCUESTA
*** DE SUPERFICIE Y PRODUCCIÓN AGROPECUARIA CONTINUA - ESPAC .
*** REALIZADA POR: RAMIRO BENAVIDES - DEAGA.
*** 02 DE MAYO DE 2016
*** ACTUALIZACIÓN: CARLOS PILATAXI - DEAGA - 2023***  
**************************************************************************************************************


*** ABRIR BASE DE CULTIVOS TRANSITORIOS (ctnac2023.sav) ***.

DATASET ACTIVATE ctnac2023.sav.

WEIGHT OFF.
FILTER OFF.
COMPUTE cultiv_tran = (rc_clacul >= 500 & rc_clacul <= 599). /* Los cultivos transitorios están en este rango de productos. 
FREQUENCIES cultiv_tran.

USE ALL.
FILTER BY cultiv_tran.
WEIGHT BY fact_exp_fin.

DESCRIPTIVES VARIABLES=ct_k510ha
  /STATISTICS=MEAN SUM STDDEV MIN MAX.

*** Se obtuvo 940.717 ha de cultivos transitorios_2023.


***TABLA 8 SUPERFICIE DONDE SE PRACTICA LA QUEMA AGRÍCOLA POR CULTIVO TRANSITORIO.

USE ALL.
FILTER BY cultiv_tran.
WEIGHT BY fact_exp_fin.


* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=ct_nclavr ct_k510ha ct_prepa_suelo DISPLAY=LABEL
  /TABLE ct_nclavr [C] > ct_k510ha [S][SUM] BY ct_prepa_suelo [C]
  /CATEGORIES VARIABLES=ct_nclavr ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES=ct_prepa_suelo ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
 /TITLES
    TITLE='TABLA 8 SUPERFICIE DONDE SE PRACTICA LA QUEMA AGRÍCOLA POR CULTIVO TRANSITORIO'.
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.


***TABLA 9 SUPERFICIE DONDE SE PRACTICA LA QUEMA AGRÍCOLA POR PROVINCIA.

USE ALL.
FILTER BY cultiv_tran.
WEIGHT BY fact_exp_fin.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=ual_prov ct_k510ha ct_prepa_suelo DISPLAY=LABEL
  /TABLE ual_prov [C] > ct_k510ha [S][SUM] BY ct_prepa_suelo [C]
  /CATEGORIES VARIABLES=ual_prov ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES=ct_prepa_suelo ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
 /TITLES
    TITLE='TABLA 9 SUPERFICIE DONDE SE PRACTICA LA QUEMA AGRÍCOLA POR PROVINCIA'.
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.


***TABLA 10 USO DE MAQUINARIA PARA PREPARAR EL SUELO EN HECTÁREAS Y POR TIPO DE MAQUINARIA.

USE ALL.
FILTER BY cultiv_tran.
WEIGHT BY fact_exp_fin.


DATASET ACTIVATE Conjunto_de_datos1.
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=ct_nclavr ct_k510ha ct_presueuti DISPLAY=LABEL
  /TABLE ct_nclavr [C] > ct_k510ha [S][SUM] BY ct_presueuti [C]
  /CATEGORIES VARIABLES=ct_nclavr ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES=ct_presueuti ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='USO DE MAQUINARIA PARA PREPARAR EL SUELO EN HECTÁREAS Y POR TIPO DE MAQUINARIA.'
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.

***TABLA 11 USO DE MAQUINARIA PARA PREPARAR EL SUELO EN HECTÁREAS, POR TIPO DE MAQUINARIA Y PROVINCIA.

USE ALL.
FILTER BY cultiv_tran.
WEIGHT BY fact_exp_fin.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=ual_prov ct_k510ha ct_presueuti DISPLAY=LABEL
  /TABLE ual_prov [C] > ct_k510ha [S][SUM] BY ct_presueuti [C]
  /CATEGORIES VARIABLES=ual_prov ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES=ct_presueuti ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='USO DE MAQUINARIA PARA PREPARAR EL SUELO EN HECTÁREAS Y POR TIPO DE MAQUINARIA Y PROVINCIA.'
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.

* TABLA 12. SUPERFICIE  DE CULTIVOS TRANSITORIOS BAJO RIEGO.

WEIGHT OFF.
FILTER OFF.
USE ALL.

FILTER BY cultiv_tran.
WEIGHT BY fact_exp_fin.

***** TABLA 12_1 SUPERFICIE DE CULTIVOS TRANSITORIOS BAJO RIEGO POR TIPO DE CULTIVO.


* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=ct_nclavr ct_k510ha ct_riego DISPLAY=LABEL
  /TABLE ct_nclavr [C] > ct_k510ha [S][SUM] BY ct_riego [C]
  /CATEGORIES VARIABLES=ct_nclavr ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES=ct_riego ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
 /TITLES
    TITLE='SUPERFICIE AGROPECUARIA BAJO RIEGO EN CULTIVOS TRANSITORIOS.'
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.


***** TABLA 12_2 SUPERFICIE AGROPECUARIA EFECTIVAMENTE REGADA POR CULTIVO TRANSITORIO.


* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=ct_nclavr ct_superf_regada_ha DISPLAY=LABEL
  /TABLE ct_nclavr [C] BY ct_superf_regada_ha [S][SUM]
  /CATEGORIES VARIABLES=ct_nclavr ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
 /TITLES
    TITLE='SUPERFICIE AGROPECUARIA BAJO RIEGO EFECTIVAMENTE REGADA EN CULTIVOS TRANSITORIOS.'
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.


*TABLA 13_1 SUPERFICIE AGROPECUARIA BAJO RIEGO EN CULTIVOS TRANSITORIOS. POR PROVINCIA.

WEIGHT OFF.
FILTER OFF.
USE ALL.

FILTER BY cultiv_tran.
WEIGHT BY fact_exp_fin.


DATASET ACTIVATE Conjunto_de_datos1.
* Tablas personalizadas.

CTABLES
  /VLABELS VARIABLES=ual_prov ct_k510ha ct_riego DISPLAY=LABEL
  /TABLE ual_prov [C] > ct_k510ha [S][SUM] BY ct_riego [C]
  /CATEGORIES VARIABLES=ual_prov ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES=ct_riego ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
 /TITLES
    TITLE='SUPERFICIE AGROPECUARIA BAJO RIEGO EN CULTIVOS TRANSITORIOS. POR PROVINCIA.'
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.

***TABLA 13_2 SUPERFICIE AGROPECUARIA EFECTIVAMENTE REGADA POR PROVINCIA.


* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=ual_prov ct_superf_regada_ha DISPLAY=LABEL
  /TABLE ual_prov [C] BY ct_superf_regada_ha [S][SUM]
  /CATEGORIES VARIABLES=ual_prov ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
 /TITLES
    TITLE='SUPERFICIE AGROPECUARIA EFECTIVAMENTE REGADA EN CULTIVOS TRANSITORIOS. POR PROVINCIA.'
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.


*****TABLA 14 SUPERFICIE BAJO RIEGO, POR MÉTODO DE RIEGO EN CULTIVOS TRANSITORIOS, SEGÙN PROVINCIA.

FILTER OFF.
USE ALL.
WEIGHT OFF.

COMPUTE sup_riego_surc = ct_porc_surc * ct_k510ha / 100. /* Superficie de cultivos transitorios regada por surcos-inundación.
COMPUTE sup_riego_aspe = ct_porc_aspe * ct_k510ha / 100.  /* Superficie de cultivos transitorios regada por aspersión.
COMPUTE sup_riego_micr = ct_porc_micr * ct_k510ha / 100.  /* Superficie de cultivos transitorios regada por microaspersión.
COMPUTE sup_riego_gote = ct_porc_gote * ct_k510ha / 100.  /* Superficie de cultivos transitorios regada por goteo.
COMPUTE sup_riego_nebu = ct_porc_nebu * ct_k510ha / 100. /* Superficie de cultivos transitorios regada por nebulización.
COMPUTE sup_riego_otro = ct_porc_otro * ct_k510ha / 100.  /* Superficie de cultivos transitorios regada por otra tecnología.
EXECUTE.



FILTER BY cultiv_tran.
WEIGHT BY fact_exp_fin. /* Toda superficie debe expandirse con este factor de expansión.


DATASET ACTIVATE Conjunto_de_datos1.
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=ual_prov sup_riego_surc sup_riego_aspe sup_riego_micr sup_riego_gote 
    sup_riego_nebu sup_riego_otro 
    DISPLAY=LABEL
  /TABLE ual_prov [C] BY sup_riego_surc [S][SUM] + sup_riego_aspe [S][SUM] + sup_riego_micr 
    [S][SUM] + sup_riego_gote [S][SUM] + sup_riego_nebu [S][SUM] + sup_riego_otro [S][SUM]
  /CATEGORIES VARIABLES=ual_prov ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
 /TITLES
    TITLE='SUPERFICIE BAJO RIEGO, POR MÉTODO DE RIEGO EN CULTIVOS TRANSITORIOS, SEGÙN PROVINCIA.'
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.

*****TABLA 15 SUPERFICIE BAJO RIEGO, POR MÉTODO DE RIEGO EN CULTIVOS TRANSITORIOS.


* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=ct_nclavr sup_riego_surc sup_riego_aspe sup_riego_micr sup_riego_gote 
    sup_riego_nebu sup_riego_otro 
    DISPLAY=LABEL
  /TABLE ct_nclavr [C] BY sup_riego_surc [S][SUM] + sup_riego_aspe [S][SUM] + sup_riego_micr 
    [S][SUM] + sup_riego_gote [S][SUM] + sup_riego_nebu [S][SUM] + sup_riego_otro [S][SUM]
  /CATEGORIES VARIABLES=ct_nclavr ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
 /TITLES
    TITLE='SUPERFICIE BAJO RIEGO, POR MÉTODO DE RIEGO EN CULTIVOS TRANSITORIOS.'
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.


****TABLA 16. SUPERFICIE DE CULTIVOS TRANSITORIOS DONDE SE REALIZARON APLICACIONES DE FERTILIZANTES Y FITOSANITARIOS.
 
FILTER BY cultiv_tran.
WEIGHT BY fact_exp_fin. /* Toda superficie debe expandirse con este factor de expansión.


* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=ct_nclavr ct_k510ha ct_aferti ct_forg ct_fqui ct_afito ct_porg ct_pqui 
    DISPLAY=LABEL
  /TABLE ct_nclavr [C] > ct_k510ha [S][SUM] BY ct_aferti [C] + ct_forg [C] + ct_fqui [C] + ct_afito 
    [C] + ct_porg [C] + ct_pqui [C]
  /CATEGORIES VARIABLES=ct_nclavr ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES=ct_aferti ct_forg ct_fqui ct_afito ct_porg ct_pqui ORDER=A KEY=VALUE 
    EMPTY=INCLUDE
 /TITLES
    TITLE='SUPERFICIE DE CULTIVOS TRANSITORIOS DONDE SE REALIZARON APLICACIONES DE FERTILIZANTES Y FITOSANITARIOS.'
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.

*------------------------------------------------------------------------------------------------------------------------------------------------------------------------.
***** TABLA 17. INTENSIDAD DE USO DE FERTILIZANTES POR CULTIVOS TRANSITORIOS (kg / ha y l / ha)

*** ABRIR BASE DE CULTIVOS TRANSITORIOS (ctnac2023.sav)***.

DATASET ACTIVATE ctnac2023.sav.

FILTER OFF.
USE ALL.
SPLIT FILE OFF.
WEIGHT OFF.

* Transformación a Kilogramos. Litros -  NPK
* MASA - VOLUMEN   /  Kilogramos - Litros

DO IF (ct_umed_npk_fq = 1).
    COMPUTE NPK_Masa=ct_cantidad_npk_fq * 0.453592.
ELSE IF (ct_umed_npk_fq = 2).
    COMPUTE NPK_Masa=ct_cantidad_npk_fq .
ELSE IF (ct_umed_npk_fq = 3).
    COMPUTE NPK_Masa=ct_cantidad_npk_fq * 45.359237.
ELSE IF (ct_umed_npk_fq = 4).
    COMPUTE NPK_Masa=ct_cantidad_npk_fq * 1000.
ELSE IF (ct_umed_npk_fq = 5).
    COMPUTE NPK_Volum=ct_cantidad_npk_fq .
END IF.

* Transformación a Kilogramos. Litros -  NITROGENADOS 
* MASA - VOLUMEN   /  Kilogramos - Litros

DO IF (ct_umed_nit_fq = 1).
    COMPUTE Nitr_Masa=ct_cantidad_nit_fq * 0.453592.
ELSE IF (ct_umed_nit_fq = 2).
    COMPUTE Nitr_Masa=ct_cantidad_nit_fq .
ELSE IF (ct_umed_nit_fq = 3).
    COMPUTE Nitr_Masa=ct_cantidad_nit_fq * 45.359237.
ELSE IF (ct_umed_nit_fq = 4).
    COMPUTE Nitr_Masa=ct_cantidad_nit_fq * 1000.
ELSE IF (ct_umed_nit_fq = 5).
    COMPUTE Nitr_Volum=ct_cantidad_nit_fq .
END IF.

* Transformación a Kilogramos. Litros -  FOSFATADOS 
* MASA - VOLUMEN   /  Kilogramos - Litros

DO IF (ct_umed_fq = 1).
    COMPUTE Fosf_Masa=ct_cantidad_fq * 0.453592.
ELSE IF (ct_umed_fq = 2).
    COMPUTE Fosf_Masa=ct_cantidad_fq .
ELSE IF (ct_umed_fq = 3).
    COMPUTE Fosf_Masa=ct_cantidad_fq * 45.359237.
ELSE IF (ct_umed_fq = 4).
    COMPUTE Fosf_Masa=ct_cantidad_fq * 1000.
ELSE IF (ct_umed_fq = 5).
    COMPUTE Fosf_Volum=ct_cantidad_fq .
END IF.

* Transformación a Kilogramos. Litros -  POTASICOS 
* MASA - VOLUMEN   /  Kilogramos - Litros

DO IF (ct_umed_pot_fq = 1).
    COMPUTE Pot_Masa=ct_cantidad_pot_fq * 0.453592.
ELSE IF (ct_umed_pot_fq = 2).
    COMPUTE Pot_Masa=ct_cantidad_pot_fq .
ELSE IF (ct_umed_pot_fq = 3).
    COMPUTE Pot_Masa=ct_cantidad_pot_fq * 45.359237.
ELSE IF (ct_umed_pot_fq = 4).
    COMPUTE Pot_Masa=ct_cantidad_pot_fq * 1000.
ELSE IF (ct_umed_pot_fq = 5).
    COMPUTE Pot_Volum=ct_cantidad_pot_fq .
END IF.

* Determinación de filtros para superficies con cantidades positivas de fertilizantes.

WEIGHT OFF.

COMPUTE Fil_NPK_Masa = (NPK_Masa > 0).
COMPUTE Fil_NPK_Volum = (NPK_Volum > 0).
COMPUTE Fil_Nitr_Masa = (Nitr_Masa > 0).
COMPUTE Fil_Nitr_Volum = (Nitr_Volum > 0).
COMPUTE Fil_Fosf_Masa = (Fosf_Masa > 0).
COMPUTE Fil_Fosf_Volum = (Fosf_Volum > 0).
COMPUTE Fil_Pot_Masa = (Pot_Masa > 0).
COMPUTE Fil_Pot_Volum = (Pot_Volum > 0).

* Determinación de filtros para unicidad de superficies con cantidades positivas de fertilizantes.

COMPUTE Sup_MASA = (Fil_NPK_Masa | Fil_Nitr_Masa | Fil_Fosf_Masa | Fil_Pot_Masa).
COMPUTE Sup_VOL = (Fil_NPK_Volum | Fil_Nitr_Volum | Fil_Fosf_Volum | Fil_Pot_Volum).

* Determinación de totales de superficie donde se aplicó fertilizantes sólidos (masa) y líquidos (volumen).

COMPUTE Suma_Fert_Masa = SUM.1(NPK_Masa, Nitr_Masa, Fosf_Masa, Pot_Masa).
COMPUTE Suma_Fert_Vol = SUM.1(NPK_Volum, Nitr_Volum, Fosf_Volum, Pot_Volum).

* Determinación de variables contenedoras de los cultivos transitorios para publicación de intensidades de fertilizantes.

IF (rc_clacul = 507) Cultiv_T = 2.
IF (rc_clacul = 509) Cultiv_T = 3.
IF (rc_clacul = 511) Cultiv_T = 4.
IF (rc_clacul = 516) Cultiv_T = 5.
IF (rc_clacul = 519) Cultiv_T = 6.
IF (rc_clacul = 520) Cultiv_T = 7.
IF (rc_clacul = 530) Cultiv_T = 8.
IF (rc_clacul = 532) Cultiv_T = 9.
IF (rc_clacul = 537) Cultiv_T = 10.
IF (rc_clacul = 539) Cultiv_T = 11.
IF (rc_clacul = 547) Cultiv_T = 12.
IF (rc_clacul = 548) Cultiv_T = 13.
IF (rc_clacul = 550) Cultiv_T = 14.
IF (rc_clacul = 551) Cultiv_T = 15.
IF (rc_clacul = 554) Cultiv_T = 16.
IF (rc_clacul = 561) Cultiv_T = 17.
IF (rc_clacul = 567) Cultiv_T = 18.
IF (rc_clacul = 573) Cultiv_T = 19.
IF (rc_clacul = 575) Cultiv_T = 20.
IF (rc_clacul = 576) Cultiv_T = 21.
IF (rc_clacul = 577) Cultiv_T = 22.
IF (rc_clacul = 579) Cultiv_T = 23.

IF RANGE(rc_clacul, 500, 506) Cultiv_T = 24.
IF (rc_clacul = 508) Cultiv_T = 24.
IF (rc_clacul = 510) Cultiv_T = 24.
IF RANGE(rc_clacul, 512, 515) Cultiv_T = 24.
IF (rc_clacul = 517) Cultiv_T = 24.
IF (rc_clacul = 518) Cultiv_T = 24.
IF RANGE(rc_clacul, 521, 529) Cultiv_T = 24.
IF (rc_clacul = 531) Cultiv_T = 24.
IF RANGE(rc_clacul, 533, 536) Cultiv_T = 24.
IF (rc_clacul = 538) Cultiv_T = 24.
IF RANGE(rc_clacul, 540, 546) Cultiv_T = 24.
IF (rc_clacul = 549) Cultiv_T = 24.
IF (rc_clacul = 552) Cultiv_T = 24.
IF (rc_clacul = 553) Cultiv_T = 24.
IF RANGE(rc_clacul, 555, 560, 562, 566) Cultiv_T = 24.
IF RANGE(rc_clacul, 568, 572) Cultiv_T = 24.
IF (rc_clacul = 574) Cultiv_T = 24.
IF (rc_clacul = 578) Cultiv_T = 24.
IF RANGE(rc_clacul, 580, 583) Cultiv_T = 24.
IF RANGE(rc_clacul, 586, 597) Cultiv_T = 24.
IF (rc_clacul = 599) Cultiv_T = 24.

IF (RANGE(rc_clacul, 500, 599) & ~ANY(rc_clacul, 584, 585, 598)) NACIONAL = 1.
VALUE LABELS Cultiv_T
2"ARROZ (EN CÁSCARA)"
3"ARVEJA SECA (GRANO SECO)"
4"ARVEJA TIERNA (VAINA)"
5"BROCOLI (REPOLLO)"
6"CEBADA (GRANO SECO)"
7"CEBOLLA BLANCA (TALLO FRESCO)"
8"FRÉJOL SECO (GRANO SECO)"
9"FRÉJOL TIERNO (VAINA)"
10"HABA SECA (GRANO SECO)"
11"HABA TIERNA (VAINA)"
12"MAÍZ DURO CHOCLO (CHOCLO)"
13"MAÍZ DURO SECO (GRANO SECO)"
14"MAÍZ SUAVE CHOCLO (CHOCLO)"
15"MAÍZ SUAVE SECO (GRANO SECO)"
16"MANÍ (GRANO DESCASCARADO)"
17"PAPA"
18"QUINUA"
19"SOYA"
20"TABACO"
21"TOMATE RIÑÓN"
22"TRIGO"
23"YUCA"
24"OTROS TRANSITORIOS".
EXECUTE.

WEIGHT BY fact_exp_fin.

* TABLA A. Cantidades de masa (kg) y volumen (l) aplicados a los cultivos transitorios, por ciertos cultivos transitorios y según clase de fertilizante químico.

CTABLES
  /VLABELS VARIABLES=NACIONAL Cultiv_T Fil_NPK_Masa NPK_Masa Fil_NPK_Volum NPK_Volum Fil_Nitr_Masa Nitr_Masa Fil_Nitr_Volum Nitr_Volum
    Fil_Fosf_Masa Fosf_Masa Fil_Fosf_Volum Fosf_Volum Fil_Pot_Masa Pot_Masa Fil_Pot_Volum Pot_Volum Suma_Fert_Masa Suma_Fert_Vol DISPLAY=LABEL
  /TABLE NACIONAL + Cultiv_T BY Fil_NPK_Masa > NPK_Masa [SUM] + Fil_NPK_Volum > NPK_Volum [SUM] + Fil_Nitr_Masa > Nitr_Masa [SUM] 
    + Fil_Nitr_Volum > Nitr_Volum [SUM] + Fil_Fosf_Masa > Fosf_Masa [SUM] + Fil_Fosf_Volum > Fosf_Volum [SUM] + Fil_Pot_Masa > Pot_Masa [SUM] 
    + Fil_Pot_Volum > Pot_Volum [SUM] + Suma_Fert_Masa [SUM] + Suma_Fert_Vol [SUM]
  /CATEGORIES VARIABLES=NACIONAL Fil_NPK_Masa Fil_NPK_Volum Fil_Nitr_Masa Fil_Nitr_Volum Fil_Fosf_Masa Fil_Fosf_Volum Fil_Pot_Masa
    Fil_Pot_Volum ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=Cultiv_T ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
    TITLE='MASA (kg) Y VOLUMEN (l) USADOS DE FERTILIZANTES, POR CIERTOS CULTIVOS TRANSITORIOS Y SEGÚN CLASE DE FERTILIZANTE QUÍMICO'
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.

* TABLA B. Superficie con aplicación de fertilizantes, por ciertos cultivos transitorios y según clase de fertilizante químico (en masa y volumen).

CTABLES
  /VLABELS VARIABLES=NACIONAL Cultiv_T ct_k510ha Fil_NPK_Masa Fil_NPK_Volum Fil_Nitr_Masa Fil_Nitr_Volum Fil_Fosf_Masa Fil_Fosf_Volum
    Fil_Pot_Masa Fil_Pot_Volum Sup_MASA Sup_VOL DISPLAY=LABEL
  /TABLE NACIONAL [C] + Cultiv_T [C] BY ct_k510ha [SUM] > (Fil_NPK_Masa [C] + Fil_NPK_Volum [C] + Fil_Nitr_Masa [C] + Fil_Nitr_Volum [C]
   + Fil_Fosf_Masa [C] + Fil_Fosf_Volum [C] + Fil_Pot_Masa [C] + Fil_Pot_Volum [C] + Sup_MASA + Sup_VOL)
  /CATEGORIES VARIABLES=NACIONAL Fil_NPK_Masa Fil_NPK_Volum Fil_Nitr_Masa Fil_Nitr_Volum Fil_Fosf_Masa Fil_Fosf_Volum Fil_Pot_Masa
   Fil_Pot_Volum Sup_MASA Sup_VOL ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=Cultiv_T ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
    TITLE='SUPERFICIE CON APLICACIÓN DE FERTILIZANTES, POR CIERTOS CULTIVOS TRANSITORIOS Y SEGÚN CLASE DE FERTILIZANTE QUÍMICO' '(ha)'
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.

* ############################################################################################################
*** NOTA IMPORTANTE: PARA OBTENER LA TABLA 16, SE DEBE DIVIDIR (CELDA A CELDA) LA TABLA A PARA LA TABLA B.
* ############################################################################################################

FILTER OFF.
USE ALL.
WEIGHT OFF.
SPLIT FILE OFF.


*TABLA 18: SUPERFICIE SEMBRADA POR TIPO DE SEMILLA UTILIZADA Y PRÁCTICA DE CULTIVO, SEGÚN CULTIVOS TRANSITORIOS**

WEIGHT BY fact_exp_fin.

DATASET ACTIVATE Conjunto_de_datos1.
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=ct_nclavr ct_nuevacondicion ct_secomun ct_semejorada ct_secertificada 
    ct_sehibrinac ct_sehibrinter 
    DISPLAY=LABEL
  /TABLE ct_nclavr [C] > ct_nuevacondicion [C] BY ct_secomun [S][SUM] + ct_semejorada [S][SUM] + 
    ct_secertificada [S][SUM] + ct_sehibrinac [S][SUM] + ct_sehibrinter [S][SUM]
  /CATEGORIES VARIABLES=ct_nclavr ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES=ct_nuevacondicion ORDER=A KEY=VALUE EMPTY=INCLUDE
/TITLES
    TITLE='SUPERFICIE CON APLICACIÓN DE FERTILIZANTES, POR CIERTOS CULTIVOS TRANSITORIOS Y SEGÚN CLASE DE FERTILIZANTE QUÍMICO' '(ha)'
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.


*** GUARDAR BASE DE CULTIVOS TRANSITORIOS (ctnac2020.sav) ****



**************************************************************************************************************
*** SINTAXIS PARA EL CÁLCULO DE LOS ESTADÍSTICOS, TABULADOS E INDICADORES FLORES PERMANENTES Y TRANSITORIAS.
*** DEL MÓDULO DE INFORMACIÓN AMBIENTAL EN AGRICULTURA DE LA ENCUESTA
*** DE SUPERFICIE Y PRODUCCIÓN AGROPECUARIA CONTINUA - ESPAC 2023.
*** REALIZADA POR: RAMIRO BENAVIDES - DEAGA.
*** 02 DE MAYO DE 2016
*** ACTUALIZACIÓN: CARLOS PILATAXI - DEAGA - 2023***  
**************************************************************************************************************

* TABLA 19 SUPERFICIE AGROPECUARIA BAJO RIEGO EN FLORES PERMANENTES.
*** ABRIR BASE DE FLORES PERMANENTES (fpnac2020.sav) ***.

DATASET NAME flores_perm.

WEIGHT OFF.
FILTER OFF.
USE ALL.

COMPUTE flores_perm_riego = (fp_riego = 1). /* Filtra flores permanentes con alguna clase de riego.
FREQUENCIES flores_perm_riego.

WEIGHT BY fact_exp_fin.

***** TABLA 19_1 SUPERFICIE AGROPECUARIA BAJO RIEGO EN FLORES PERMANENTES POR PROVINCIA.

DATASET ACTIVATE Conjunto_de_datos2.
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=ual_prov fp_k706ha fp_riego DISPLAY=LABEL
  /TABLE ual_prov [C] > fp_k706ha [S][SUM] BY fp_riego [C]
  /CATEGORIES VARIABLES=ual_prov ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES=fp_riego ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
 /TITLES
    TITLE='SUPERFICIE AGROPECUARIA BAJO RIEGO EN FLORES PERMANENTES POR PROVINCIA '
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.

WEIGHT OFF.
FILTER OFF.
USE ALL.


* TABLA 19_2 SUPERFICIE BAJO RIEGO, EFECTIVAMENTE REGADA.

WEIGHT BY fact_exp_fin.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=ual_prov fp_superf_regada_ha DISPLAY=LABEL
  /TABLE ual_prov [C] BY fp_superf_regada_ha [S][SUM]
  /CATEGORIES VARIABLES=ual_prov ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
 /TITLES
    TITLE='SUPERFICIE AGROPECUARIA BAJO RIEGO EFECTIVAMENTE REGADA EN FLORES PERMANENTES POR PROVINCIA '
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.

******************************************************************************************************************************
***** TABLA 20 SUPERFICIE BAJO RIEGO, POR MÉTODO DE RIEGO EN FLORES PERMANENTES

DATASET ACTIVATE flores_perm.

FILTER OFF.
USE ALL.
WEIGHT OFF.

COMPUTE sup_riego_surc = fp_porc_surc * fp_k706ha / 100. /* Superficie de flores permanentes regada por surcos-inundación.
COMPUTE sup_riego_aspe = fp_porc_aspe * fp_k706ha / 100.  /* Superficie de flores permanentes regada por aspersión.
COMPUTE sup_riego_micr = fp_porc_micr * fp_k706ha / 100.  /* Superficie de flores permanentes regada por microaspersión.
COMPUTE sup_riego_gote = fp_porc_gote * fp_k706ha / 100.  /* Superficie de flores permanentes regada por goteo.
COMPUTE sup_riego_nebu = fp_porc_nebu * fp_k706ha / 100. /* Superficie de flores permanentes regada por nebulización.
COMPUTE sup_riego_otro = fp_porc_otro * fp_k706ha / 100.  /* Superficie de flores permanentes regada por otra tecnología.
EXECUTE.

WEIGHT BY fact_exp_fin. /* Toda superficie debe expandirse con este factor de expansión.

FILTER BY flores_perm_riego.


***** TABLA 20 SUPERFICIE BAJO RIEGO, POR MÉTODO DE RIEGO EN FLORES PERMANENTES.
WEIGHT BY fact_exp_fin.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=fp_clacu sup_riego_surc sup_riego_aspe sup_riego_micr sup_riego_gote 
    sup_riego_nebu sup_riego_otro 
    DISPLAY=LABEL
  /TABLE fp_clacu [C] BY sup_riego_surc [S][SUM] + sup_riego_aspe [S][SUM] + sup_riego_micr 
    [S][SUM] + sup_riego_gote [S][SUM] + sup_riego_nebu [S][SUM] + sup_riego_otro [S][SUM]
  /CATEGORIES VARIABLES=fp_clacu ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
 /TITLES
    TITLE='SUPERFICIE AGROPECUARIA BAJO RIEGO, POR MÉTODO DE RIEGO EN FLORES PERMANENTES'
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.

SPLIT FILE OFF.
WEIGHT OFF.

***** TABLA 20a SUPERFICIE BAJO RIEGO POR PROVINCIA Y MÉTODO DE RIEGO EN FLORES PERMANENTES.
WEIGHT BY fact_exp_fin.

DATASET ACTIVATE ConjuntoDatos1.
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=ual_prov sup_riego_surc sup_riego_aspe sup_riego_micr sup_riego_gote 
    sup_riego_nebu sup_riego_otro 
    DISPLAY=LABEL
  /TABLE ual_prov [C] BY sup_riego_surc [S][SUM] + sup_riego_aspe [S][SUM] + sup_riego_micr 
    [S][SUM] + sup_riego_gote [S][SUM] + sup_riego_nebu [S][SUM] + sup_riego_otro [S][SUM]
  /CATEGORIES VARIABLES=ual_prov ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
    TITLE='SUPERFICIE BAJO RIEGO POR PROVINCIA Y MÉTODO DE RIEGO EN FLORES PERMANENTES'
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.


*****************************************************************************************************************************************************************************************************************

* TABLA 21 SUPERFICIE AGROPECUARIA BAJO RIEGO EN FLORES TRANSITORIAS*********
*** ABRIR BASE DE FLORES TRANSITORIAS (ftnac2023.sav) ***.

DATASET NAME flores_tran.

WEIGHT OFF.
FILTER OFF.
USE ALL.

COMPUTE flores_tran_riego = (ft_riego = 1). /* Filtra flores transitorias con alguna clase de riego.
FREQUENCIES flores_tran_riego.

WEIGHT BY fact_exp_fin.

***** TABLA 21_1 SUPERFICIE AGROPECUARIA BAJO RIEGO EN FLORES TRANSITORIAS POR PROVINCIA.

DATASET ACTIVATE Conjunto_de_datos3.
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=ual_prov ft_k720ha ft_riego DISPLAY=LABEL
  /TABLE ual_prov [C] > ft_k720ha [S][SUM] BY ft_riego [C]
  /CATEGORIES VARIABLES=ual_prov ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES=ft_riego ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
 /TITLES
    TITLE='SUPERFICIE AGROPECUARIA BAJO RIEGO EN FLORES TRANSITORIAS'
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.

***** TABLA 21_2 SUPERFICIE AGROPECUARIA BAJO RIEGO EFECTIVAMENTE REGADA EN FLORES TRANSITORIAS POR PROVINCIA.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=ual_prov ft_superf_regada_ha DISPLAY=LABEL
  /TABLE ual_prov [C] BY ft_superf_regada_ha [S][SUM]
  /CATEGORIES VARIABLES=ual_prov ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
 /TITLES
    TITLE='SUPERFICIE AGROPECUARIA BAJO RIEGO EFECTIVAMENTE REGADA EN FLORES TRANSITORIAS'
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.


WEIGHT OFF.
FILTER OFF.
USE ALL.


* TABLA 22 SUPERFICIE BAJO RIEGO, POR MÉTODO DE RIEGO EN FLORES TRANSITORIAS.

*** ABRIR BASE DE FLORES TRANSITORIAS (ftnac2020.sav) ***.

DATASET ACTIVATE flores_tran.

FILTER OFF.
USE ALL.
WEIGHT OFF.

COMPUTE sup_riego_surc = ft_porc_surc * ft_k720ha / 100. /* Superficie de flores transitorias regada por surcos-inundación.
COMPUTE sup_riego_aspe = ft_porc_aspe * ft_k720ha / 100.  /* Superficie de flores transitorias regada por aspersión.
COMPUTE sup_riego_micr = ft_porc_micr * ft_k720ha / 100.  /* Superficie de flores transitorias regada por microaspersión.
COMPUTE sup_riego_gote = ft_porc_gote * ft_k720ha / 100.  /* Superficie de flores transitorias regada por goteo.
COMPUTE sup_riego_nebu = ft_porc_nebu * ft_k720ha / 100. /* Superficie de flores transitorias regada por nebulización.
COMPUTE sup_riego_otro = ft_porc_otro * ft_k720ha / 100.  /* Superficie de flores transitorias regada por otra tecnología.
EXECUTE.

WEIGHT BY fact_exp_fin. /* Toda superficie debe expandirse con este factor de expansión.

VARIABLE LEVEL sup_riego_surc (SCALE).
VARIABLE LEVEL sup_riego_nebu (SCALE).
VARIABLE LEVEL sup_riego_otro (SCALE).

SPLIT FILE BY ft_riego.

***** TABLA 22 SUPERFICIE BAJO RIEGO, POR MÉTODO DE RIEGO EN FLORES TRANSITORIAS.

DATASET ACTIVATE ConjuntoDatos1.
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=ft_clacu sup_riego_surc sup_riego_aspe sup_riego_micr sup_riego_gote 
    sup_riego_nebu sup_riego_otro 
    DISPLAY=LABEL
  /TABLE ft_clacu [C] BY sup_riego_surc [S][SUM] + sup_riego_aspe [S][SUM] + sup_riego_micr 
    [S][SUM] + sup_riego_gote [S][SUM] + sup_riego_nebu [S][SUM] + sup_riego_otro [S][SUM]
  /CATEGORIES VARIABLES=ft_clacu ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
  /CRITERIA CILEVEL=95
 /TITLES
    TITLE='SUPERFICIE AGROPECUARIA BAJO RIEGO, POR MÉTODO DE RIEGO EN FLORES TRANSITORIAS'
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.

SPLIT FILE OFF.
WEIGHT OFF.


************************************************************************************************************
*** SINTAXIS PARA EL CÁLCULO DE LOS ESTADÍSTICOS, TABULADOS E INDICADORES PASTOS CULTIVADOS.
*** DEL MÓDULO DE INFORMACIÓN AMBIENTAL EN AGRICULTURA DE LA ENCUESTA
*** DE SUPERFICIE Y PRODUCCIÓN AGROPECUARIA CONTINUA - ESPAC 2023.
*** REALIZADA POR: RAMIRO BENAVIDES - DEAGA.
*** 02 DE MAYO DE 2016
*** ACTUALIZACIÓN: CARLOS PILATAXI - DEAGA - 2023***  
**************************************************************************************************************

*** ABRIR BASE DE PASTOS CULTIVADOS (pcnac2023.sav)***.

DATASET NAME pastos.

WEIGHT OFF.
FILTER OFF.
COMPUTE pastos_cultiv = (rc_clacul >= 751 & rc_clacul <= 780). /* Los pastos cultivados están en este rango de productos. 
FREQUENCIES pastos_cultiv.

FILTER BY pastos_cultiv.
WEIGHT BY fact_exp_fin.

DESCRIPTIVES VARIABLES=cp_k409ha
  /STATISTICS=MEAN SUM STDDEV MIN MAX.

*** Se obtuvo 2.325.499 ha. de pastos cultivados, EN LA BASE DE PASTOS CULTIVADOS_2023.

*----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------.

* TABLA 23 SUPERFICIE AGROPECUARIA BAJO RIEGO EN PASTOS CULTIVADOS.
*** ABRIR BASE DE PASTOS CULTIVADOS (pcnac2023.sav) ***.


DATASET NAME pastos.

WEIGHT OFF.
FILTER OFF.
COMPUTE pastos_cultiv = (rc_clacul >= 751 & rc_clacul <= 780). /* Los pastos cultivados están en este rango de productos. 
FREQUENCIES pastos_cultiv.

FILTER BY pastos_cultiv.
WEIGHT BY fact_exp_fin.

DESCRIPTIVES VARIABLES=cp_k409ha
  /STATISTICS=MEAN SUM STDDEV MIN MAX.

*** Se obtuvo 2.320.947,65ha. de pastos cultivados, EN LA BASE DE PASTOS CULTIVADOS.

DATASET NAME pastos.

WEIGHT OFF.
FILTER OFF.
USE ALL.

COMPUTE pastos_cultiv_riego = (pastos_cultiv = 1 & cp_riego = 1). /* Filtra pastos cultivados con alguna clase de riego.
FREQUENCIES pastos_cultiv_riego.

FILTER BY pastos_cultiv.
WEIGHT BY fact_exp_fin.

***** TABLA 23 SUPERFICIE AGROPECUARIA BAJO RIEGO EN PASTOS CULTIVADOS.


DATASET ACTIVATE pcnac2023.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=ual_prov cp_k409ha cp_riego DISPLAY=LABEL
  /TABLE ual_prov [C] > cp_k409ha [S][SUM] BY cp_riego [C]
  /CATEGORIES VARIABLES=ual_prov ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES=cp_riego ORDER=A KEY=VALUE EMPTY=INCLUDE
 /TITLES
    TITLE='SUPERFICIE AGROPECUARIA BAJO RIEGO EN PASTOS CULTIVADOS'
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.

WEIGHT OFF.
FILTER OFF.
USE ALL.


* TABLA 24 SUPERFICIE BAJO RIEGO, POR MÉTODO DE RIEGO EN PASTOS CULTIVADOS.

*** ABRIR BASE DE PASTOS CULTIVADOS (pcnac2020.sav) ***.

DATASET ACTIVATE pastos.

FILTER OFF.
USE ALL.
WEIGHT OFF.

COMPUTE sup_riego_surc = cp_porc_surc * cp_k409ha / 100. /* Superficie de pastos cultivados regada por surcos-inundación.
COMPUTE sup_riego_aspe = cp_porc_aspe * cp_k409ha / 100.  /* Superficie de pastos cultivados regada por aspersión.
COMPUTE sup_riego_micr = cp_porc_micr * cp_k409ha / 100.  /* Superficie de pastos cultivados regada por microaspersión.
COMPUTE sup_riego_gote = cp_porc_gote * cp_k409ha / 100.  /* Superficie de pastos cultivados regada por goteo.
COMPUTE sup_riego_nebu = cp_porc_nebu * cp_k409ha / 100. /* Superficie de pastos cultivados regada por nebulización.
COMPUTE sup_riego_otro = cp_porc_otro * cp_k409ha / 100.  /* Superficie de pastos cultivados regada por otra tecnología.
EXECUTE.

WEIGHT BY fact_exp_fin. /* Toda superficie debe expandirse con este factor de expansión.

FILTER BY pastos_cultiv.

SPLIT FILE OFF.
WEIGHT OFF.

** ABRIR BASE DE PASTOS CULTIVADOS (pcnac2023.sav) ***.

DATASET ACTIVATE pastos.

WEIGHT OFF.
FILTER OFF.
USE ALL.

FILTER BY pastos_cultiv.
WEIGHT BY fact_exp_fin.

***** TABLA 24. SUPERFICIE BAJO RIEGO POR TIPO DE PASTO CULTIVADO Y SEGÚN MÉTODO DE RIEGO.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=ual_prov sup_riego_surc sup_riego_aspe sup_riego_micr sup_riego_gote 
    sup_riego_nebu sup_riego_otro 
    DISPLAY=LABEL
  /TABLE ual_prov [C] BY sup_riego_surc [S][SUM] + sup_riego_aspe [S][SUM] + sup_riego_micr 
    [S][SUM] + sup_riego_gote [S][SUM] + sup_riego_nebu [S][SUM] + sup_riego_otro [S][SUM]
  /CATEGORIES VARIABLES=ual_prov ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
  /TITLES
    TITLE='SUPERFICIE BAJO RIEGO, POR TIPO DE PASTO CULTIVADO Y SEGÚN MÉTODO DE RIEGO'
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.

SPLIT FILE OFF.
WEIGHT OFF.



***********************************************************************************************************
*** MÒDULO AMBIENTAL..
*** DEL MÓDULO DE INFORMACIÓN AMBIENTAL EN AGRICULTURA DE LA ENCUESTA
*** DE SUPERFICIE Y PRODUCCIÓN AGROPECUARIA CONTINUA - ESPAC .
*** REALIZADA POR: RAMIRO BENAVIDES 
*** ACTUALIZACIÓN: CARLOS PILATAXI - DEAGA - 2023***  
**************************************************************************************************************
*****IMPORTANTE****
**El módulo al ser parte de una encuesta utiliza varias bases de datos de la encuesta principal ESPAC, para la construcción de sus tabulados así paras  las tablas de la 1 a la 24
**las bases referentes a cultivos permanentes, transitorios, flores permanentes, flores transitorias y pastos cultivados se encuentran cargadas en el siguiente link.
**https://www.ecuadorencifras.gob.ec/informacion-agroambiental/.

*** ABRIR BASE DE CULTIVOS PERMANENTES (ambnac.sav)***.

****TABLA 25. PERSONAS PRODUCTORAS QUE HAN RECIBIDO CAPACITACIÓN EN TEMAS AGRÍCOLAS.

DATASET ACTIVATE Conjunto_de_datos4.
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=ual_prov ea_tipo_agr ea_capaci_agr ea_realiza_agr DISPLAY=LABEL
  /TABLE ual_prov [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] BY ea_tipo_agr [C] + ea_capaci_agr [C] + 
    ea_realiza_agr [C]
  /CATEGORIES VARIABLES=ual_prov ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES=ea_tipo_agr ea_capaci_agr ea_realiza_agr ORDER=A KEY=VALUE EMPTY=INCLUDE
 /TITLES
    TITLE='PERSONAS PRODUCTORAS QUE HAN RECIBIDO CAPACITACIÓN EN TEMAS AGRÍCOLAS.'
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.


****TABLA 26. PERSONAS PRODUCTORAS QUE HAN RECIBIDO CAPACITACIÓN EN TEMAS PECUARIOS.


DATASET ACTIVATE Conjunto_de_datos1.
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=ual_prov ea_tipo_pec ea_capaci_pec ea_realiza_pec DISPLAY=LABEL
  /TABLE ual_prov [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] BY ea_tipo_pec [C] + ea_capaci_pec [C] + 
    ea_realiza_pec [C]
  /CATEGORIES VARIABLES=ual_prov ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES=ea_tipo_pec ea_capaci_pec ea_realiza_pec ORDER=A KEY=VALUE EMPTY=INCLUDE
 /TITLES
    TITLE='PERSONAS PRODUCTORAS QUE HAN RECIBIDO CAPACITACIÓN EN TEMAS PECUARIOS.'
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.


**TABLA 27. RAZONES POR LAS CUALES NO TIENEN ACCESO A PROCESOS DE CAPACITACIÓN Y/O ASISTENCIA TÉCNICA*

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=ual_prov ea_noaccecapa ea_servcapaci DISPLAY=LABEL
  /TABLE ual_prov [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] BY ea_noaccecapa [C] + ea_servcapaci [C]
  /CATEGORIES VARIABLES=ual_prov ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES=ea_noaccecapa ea_servcapaci ORDER=A KEY=VALUE EMPTY=INCLUDE.
 /TITLES
    TITLE='RAZONES POR LAS CUALES NO TIENEN ACCESO A PROCESOS DE CAPACITACIÓN Y/O ASISTENCIA TÉCNICA.'
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.


**TABLA 28. ANÁLISIS DE SUELO, APLICACIÓN DE RECOMENDACIONES Y RAZONES PRINCIPALES POR LAS CUALES NO REALIZA ESTA LA PRÁCTICA DE ANÁLISIS DE SUELO** 


DATASET ACTIVATE ConjuntoDatos1.
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=ual_prov plag_anasuelo pa_intasuelo as_norealiza DISPLAY=LABEL
  /TABLE ual_prov [C][ROWPCT.COUNT PCT40.1] BY plag_anasuelo [C] + pa_intasuelo [C] + as_norealiza 
    [C]
  /CATEGORIES VARIABLES=ual_prov ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES=plag_anasuelo pa_intasuelo as_norealiza ORDER=A KEY=VALUE EMPTY=INCLUDE
 /TITLES
    TITLE='ANÁLISIS DE SUELO, APLICACIÓN DE RECOMENDACIONES Y RAZONES PRINCIPALES POR LAS CUALES NO REALIZA ESTA LA PRÁCTICA DE ANÁLISIS DE SUELO.'
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.


** TABLA 29. USO DE FERTILIZANTES QUÍMICOS Y LIMITANTES PARA EL ACCESO A LA APLICACIÓN DE FERTILIZANTES DE ORIGEN QUÍMICO **

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=ual_prov utilizo_fertquim limitante_fertquim DISPLAY=LABEL
  /TABLE ual_prov [C][ROWPCT.COUNT PCT40.1] BY utilizo_fertquim [C] + limitante_fertquim [C]
  /CATEGORIES VARIABLES=ual_prov ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES=utilizo_fertquim limitante_fertquim ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
    TITLE='USO DE FERTILIZANTES QUÍMICOS Y LIMITANTES PARA EL ACCESO A LA APLICACIÓN DE FERTILIZANTES DE ORIGEN QUÍMICO.'
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.


** TABLA 30. LEE LAS INSTRUCCIONES DE LOS PLAGUICIDAS ANTES DE REALIZAR APLICACIONES **

DATASET ACTIVATE ConjuntoDatos1.
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=ual_prov lee_precauc lee_dosis lee_plagas lee_otras DISPLAY=LABEL
  /TABLE ual_prov [C][ROWPCT.COUNT PCT40.1] BY lee_precauc [C] + lee_dosis [C] + lee_plagas [C] + 
    lee_otras [C]
  /CATEGORIES VARIABLES=ual_prov ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES=lee_precauc lee_dosis lee_plagas lee_otras ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /TITLES
    TITLE='LEE LAS INSTRUCCIONES DE LOS PLAGUICIDAS ANTES DE REALIZAR APLICACIONES.'
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.


** TABLA 31. USO DE IMPLEMENTOS DE PROTECCIÓN PARA LA APLICACAIÓN DE FITOSANITARIOS **

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=ual_prov plag_utilguan plag_utilmasca plag_utilgafas plag_utilcamisas 
    plag_utilbotas plag_utilvesti 
    DISPLAY=LABEL
  /TABLE ual_prov [C][ROWPCT.COUNT PCT40.1] BY plag_utilguan [C] + plag_utilmasca [C] + 
    plag_utilgafas [C] + plag_utilcamisas [C] + plag_utilbotas [C] + plag_utilvesti [C]
  /CATEGORIES VARIABLES=ual_prov ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES=plag_utilguan plag_utilmasca plag_utilgafas plag_utilcamisas plag_utilbotas 
    plag_utilvesti ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /TITLES
    TITLE='USO DE IMPLEMENTOS DE PROTECCIÓN PARA LA APLICACAIÓN DE FITOSANITARIO.'
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.


** TABLA 32. PERSPECTIVAS PARA EL DESARROLLO DE LA PRODUCCIÓN EN LAS UNIDADES DE PRODUCCIÓN.*

DATASET ACTIVATE ConjuntoDatos2.
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=ual_prov visual_upa DISPLAY=LABEL
  /TABLE ual_prov [C][ROWPCT.COUNT PCT40.1] BY visual_upa [C]
  /CATEGORIES VARIABLES=ual_prov ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES=visual_upa ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CRITERIA CILEVEL=95
 /TITLES
    TITLE='PERSPECTIVAS PARA EL DESARROLLO DE LA PRODUCCIÓN EN LAS UNIDADES DE PRODUCCIÓN.'
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.

** TABLA 33. LIMITACIONES EN EL DESARROLLO DE LA UNIDAD DE PRODUCCIÓN **

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=ual_prov lim_acctierra lim_accagua lim_accrecfin lim_maqequi lim_manobra 
    lim_accinsagr lim_auscomp lim_precbajos lim_fertsuelo lim_desasnat lim_faltaseg lim_faltatrans 
    lim_otro 
    DISPLAY=LABEL
  /TABLE ual_prov [C][ROWPCT.COUNT PCT40.1] BY lim_acctierra [C] + lim_accagua [C] + lim_accrecfin 
    [C] + lim_maqequi [C] + lim_manobra [C] + lim_accinsagr [C] + lim_auscomp [C] + lim_precbajos [C] + 
    lim_fertsuelo [C] + lim_desasnat [C] + lim_faltaseg [C] + lim_faltatrans [C] + lim_otro [C]
  /CATEGORIES VARIABLES=ual_prov ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=BEFORE
  /CATEGORIES VARIABLES=lim_acctierra lim_accagua lim_accrecfin lim_maqequi lim_manobra 
    lim_accinsagr lim_auscomp lim_precbajos lim_fertsuelo lim_desasnat lim_faltaseg lim_faltatrans 
    lim_otro ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /TITLES
    TITLE='LIMITACIONES EN EL DESARROLLO DE LA UNIDAD DE PRODUCCIÓN.'
    CAPTION='Elaboración: INEC' 'Fuente: Encuesta de Superficie y Producción Agropecuaria Continua 2023'.



